;******************************************************************************
;* TMS320C6x ANSI C Codegen                                      Version 4.20 *
;* Date/Time created: Fri Jul 26 17:39:47 2002                                *
;******************************************************************************

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C620x                                          *
;*   Optimization      : Enabled at level 2                                   *
;*   Optimizing for    : Size                                                 *
;*                       Based on options: -o2, -ms3                          *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Memory Model      : Small                                                *
;*   Calls to RTS      : Near                                                 *
;*   Pipelining        : Disabled                                             *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : Debug                                                *
;*                                                                            *
;******************************************************************************

	.asg	A15, FP
	.asg	B14, DP
	.asg	B15, SP
	.global	$bss

	.file	"rom2v1.c"

	.sect	".cinit:c"
	.align	8
	.field  	(CIR - $) - 8, 32
	.field  	_readfifo+0,32
	.field  	0,32			; _readfifo @ 0
	.sect	".text"
	.global	_readfifo
_readfifo:	.usect	".bss:c",4,4
	.sym	_readfifo,_readfifo, 4, 2, 32
	.global	_slave_id
	.bss	_slave_id,4,4
	.sym	_slave_id,_slave_id, 14, 2, 32
	.global	_entry_point
	.bss	_entry_point,4,4
	.sym	_entry_point,_entry_point, 4, 2, 32
;	C:\TI\C6000\CGTOOLS\BIN\opt6x.exe -i0 -v6203 -O2 -Z3 C:\WINDOWS\TEMP\TI323757_2 C:\WINDOWS\TEMP\TI323757_4 
   .global _c_int00
   .sect   .vectors
l0:        NOP
   NOP     
   b.s2    _c_int00
   nop     
   nop     
   nop     
   nop     
   nop     
   .space  32
   .space  32
   .space  32
   .space  32
   .space  32
   .space  32
   .space  32
   .space  32
   .space  32
   .space  32
   .space  32
   .space  32
l13:        NOP
   NOP     
   NOP     
   nop     
   nop     
   nop     
   nop     
   nop     
l14:        NOP
   NOP     
   nop     
   nop     
   nop     
   nop     
   nop     
   nop     
l15:        NOP
   NOP     
   nop     
   nop     
   nop     
   nop     
   nop     
   nop     
	.sect	".text"
	.global	_dma_copy
	.sym	_dma_copy,_dma_copy, 32, 2, 0
	.func	47

;******************************************************************************
;* FUNCTION NAME: _dma_copy                                                   *
;*                                                                            *
;*   Regs Modified     : A0,A1,A3,B4,B5,B6                                    *
;*   Regs Used         : A0,A1,A3,A4,A6,B3,B4,B5,B6                           *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_dma_copy:
;** --------------------------------------------------------------------------*
	.line	2
	.sym	_from,4, 14, 17, 32
	.sym	_to,20, 14, 17, 32
	.sym	_n,6, 4, 17, 32
	.sym	_dma_ch0_primary_control,0, 30, 4, 32
	.sym	_from,4, 14, 4, 32
	.sym	_to,20, 14, 4, 32
	.sym	_n,6, 4, 4, 32
	.line	9
           ZERO    .D2     B5                ; |55| 
           ZERO    .D2     B6                ; |55| 
           MVKH    .S2     0x1840000,B5      ; |55| 
           STW     .D2T2   B6,*B5            ; |55| 
	.line	11
           MVKL    .S2     0x1840010,B5      ; |57| 
           MVKH    .S2     0x1840010,B5      ; |57| 
           STW     .D2T1   A4,*B5            ; |57| 
	.line	12
           MVKL    .S2     0x1840018,B5      ; |58| 
           MVKH    .S2     0x1840018,B5      ; |58| 
           STW     .D2T2   B4,*B5            ; |58| 
	.line	13
           MVKL    .S2     0x1840020,B4      ; |59| 
           MVKH    .S2     0x1840020,B4      ; |59| 
           STW     .D2T1   A6,*B4            ; |59| 
	.line	14
           MVKL    .S1     0xa000,A0         ; |60| 
           MVKH    .S1     0xa000,A0         ; |60| 
           MVKL    .S2     0x1840008,B4      ; |60| 
           MVKH    .S2     0x1840008,B4      ; |60| 
           STW     .D2T1   A0,*B4            ; |60| 
	.line	15
           MVKL    .S2     0x1000051,B5      ; |61| 
           MVKH    .S2     0x1000051,B5      ; |61| 
           ZERO    .D2     B4                ; |61| 
           MVKH    .S2     0x1840000,B4      ; |61| 
           STW     .D2T2   B5,*B4            ; |61| 
	.line	17
           ZERO    .D1     A0                ; |63| 
           MVKH    .S1     0x1840000,A0      ; |63| 
           LDW     .D1T1   *A0,A3            ; |63| 
           NOP             4
           AND     .S1     12,A3,A1          ; |63| 
   [!A1]   B       .S1     L2                ; |63| 
           NOP             5
           ; BRANCH OCCURS                   ; |63| 
;** --------------------------------------------------------------------------*
	.line	3
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L1:    
	.line	17
           LDW     .D1T1   *A0,A3            ; |63| 
           NOP             4
           AND     .S1     12,A3,A1          ; |63| 
   [ A1]   B       .S1     L1                ; |63| 
           NOP             5
           ; BRANCH OCCURS                   ; |63| 
;** --------------------------------------------------------------------------*
L2:    
	.line	18
           B       .S2     B3                ; |64| 
           NOP             5
           ; BRANCH OCCURS                   ; |64| 
	.endfunc	64,000000000h,0


	.sect	".text"
	.global	_read_a_word
	.sym	_read_a_word,_read_a_word, 36, 2, 0
	.func	70

;******************************************************************************
;* FUNCTION NAME: _read_a_word                                                *
;*                                                                            *
;*   Regs Modified     : A0,A1,A3,A4,A6,B3,B4,B5,B6,SP                        *
;*   Regs Used         : A0,A1,A3,A4,A6,B3,B4,B5,B6,SP                        *
;*   Local Frame Size  : 0 Args + 4 Auto + 4 Save = 8 byte                    *
;******************************************************************************
_read_a_word:
;** --------------------------------------------------------------------------*
	.line	2
	.sym	_in_flags,0, 20, 4, 32
	.sym	_fifo0,0, 20, 4, 32
	.sym	_data_in,4, 4, 1, 32
           STW     .D2T2   B3,*SP--(8)       ; |71| 
	.line	7
           ZERO    .D1     A0                ; |76| 
           MVKH    .S1     0x400000,A0       ; |76| 
           LDW     .D1T1   *A0,A3            ; |76| 
           NOP             4
           EXTU    .S1     A3,19,31,A1       ; |76| 
   [ A1]   B       .S1     L4                ; |76| 
           NOP             5
           ; BRANCH OCCURS                   ; |76| 
;** --------------------------------------------------------------------------*
	.line	5
	.line	7
           MVK     .S1     0x1000,A4         ; |76| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L3:    
	.line	9
	nop 5
	.line	10
	nop 5
	.line	11
	nop 5
	.line	12
	nop 5
	.line	13
	nop 5
	.line	14
	nop 5
	.line	15
	nop 5
	.line	16
	nop 5
	.line	17
	nop 5
	.line	18
	nop 5
	.line	19
	nop 5
	.line	20
	nop 5
	.line	21
	nop 5
	.line	22
	nop 5
	.line	23
           LDW     .D1T1   *A0,A3            ; |92| 
           NOP             4
           AND     .S1     A4,A3,A1          ; |92| 
   [!A1]   B       .S1     L3                ; |92| 
           NOP             5
           ; BRANCH OCCURS                   ; |92| 
;** --------------------------------------------------------------------------*
L4:    
	.line	25
           ZERO    .D1     A0                ; |94| 
           MVKH    .S1     0x40000000,A0     ; |94| 
           B       .S1     _dma_copy         ; |94| 
           LDW     .D1T1   *A0,A4
           MVKL    .S2     RL0,B3            ; |94| 
           ADD     .D2     4,SP,B4
           MVK     .S1     0x1,A6            ; |94| 
           MVKH    .S2     RL0,B3            ; |94| 
RL0:       ; CALL OCCURS                     ; |94| 
	.line	27
           LDW     .D2T1   *+SP(4),A4        ; |96| 
	.line	28
           LDW     .D2T2   *++SP(8),B3       ; |97| 
           NOP             4
           B       .S2     B3                ; |97| 
           NOP             5
           ; BRANCH OCCURS                   ; |97| 
	.endfunc	97,000080000h,8


	.sect	".text"
	.global	_boot_program
	.sym	_boot_program,_boot_program, 36, 2, 0
	.func	101

;******************************************************************************
;* FUNCTION NAME: _boot_program                                               *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B3,B4,B5,B6,B7,B8,  *
;*                           SP                                               *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B3,B4,B5,B6,B7,B8,  *
;*                           DP,SP                                            *
;*   Local Frame Size  : 0 Args + 8 Auto + 4 Save = 12 byte                   *
;******************************************************************************
_boot_program:
;** --------------------------------------------------------------------------*
	.line	2
	.sym	_modid,4, 4, 17, 32
	.sym	_read_but_ignore,8, 4, 4, 32
	.sym	_block_size,2, 4, 4, 32
	.sym	_i,23, 4, 4, 32
	.sym	_block_addr,24, 14, 4, 32
	.sym	_dig_io,0, 20, 4, 32
	.sym	_modid,5, 4, 4, 32
	.sym	_mod_car,4, 4, 1, 32
	.sym	_dummy,8, 4, 1, 32
           STW     .D2T2   B3,*SP--(16)      ; |102| 
           MV      .D1     A4,A5             ; |102| 
	.line	16
           B       .S1     _read_a_word      ; |116| 
           MVKL    .S2     RL2,B3            ; |116| 
           MVKH    .S2     RL2,B3            ; |116| 
           NOP             3
RL2:       ; CALL OCCURS                     ; |116| 
           EXTU    .S1     A4,24,24,A0       ; |116| 
           STW     .D2T1   A0,*+SP(4)        ; |116| 
	.line	17
           LDW     .D2T2   *+SP(4),B4        ; |117| 
           NOP             4
           CMPEQ   .L1X    B4,A5,A1          ; |117| 
	.line	26
   [!A1]   B       .S1     L5                ; |126| 
   [!A1]   MVK     .S1     0x1,A0            ; |126| 
   [!A1]   MV      .D1     A0,A8             ; |126| 
           NOP             3
           ; BRANCH OCCURS                   ; |126| 
;** --------------------------------------------------------------------------*
	.line	20
           MVC     .S2     IER,B4            ; |120| 
           MVKL    .S1     0x9fff,A0         ; |120| 
           MVKH    .S1     0x9fff,A0         ; |120| 
           AND     .S2X    A0,B4,B4          ; |120| 
           MVC     .S2     B4,IER            ; |120| 
	.line	21
           MVC     .S2     CSR,B4            ; |121| 
           AND     .S2     -2,B4,B4          ; |121| 
           MVC     .S2     B4,CSR            ; |121| 
	.line	22
           ZERO    .D2     B4                ; |122| 
           SET     .S2     B4,0x4,0xf,B4     ; |122| 
           MVC     .S2     B4,ICR            ; |122| 
	.line	19
           ZERO    .D1     A8                ; |119| 
;** --------------------------------------------------------------------------*
L5:    
	.line	29
           B       .S1     _read_a_word      ; |129| 
           MVKL    .S2     RL4,B3            ; |129| 
           MVKH    .S2     RL4,B3            ; |129| 
           NOP             3
RL4:       ; CALL OCCURS                     ; |129| 
           MV      .D1     A4,A2
	.line	30
           SHR     .S1     A2,2,A2           ; |130| 
   [!A2]   B       .S1     L13               ; |130| 
           NOP             5
           ; BRANCH OCCURS                   ; |130| 
;** --------------------------------------------------------------------------*
	.line	5
           ZERO    .D1     A7                ; |105| 
           ZERO    .D1     A5                ; |105| 
           MVKH    .S1     0xff00000,A7      ; |105| 
           MVKH    .S1     0x400000,A5       ; |105| 
;** --------------------------------------------------------------------------*
;**   BEGIN LOOP L6
;** --------------------------------------------------------------------------*
L6:    
	.line	33
           B       .S1     _read_a_word      ; |133| 
           MVKL    .S2     RL6,B3            ; |133| 
           MVKH    .S2     RL6,B3            ; |133| 
           NOP             3
RL6:       ; CALL OCCURS                     ; |133| 
           MV      .S2X    A4,B8
	.line	34
           MV      .D1     A8,A1
   [ A1]   B       .S1     L10               ; |134| 
           NOP             5
           ; BRANCH OCCURS                   ; |134| 
;** --------------------------------------------------------------------------*
	.line	43
           CMPGT   .L1     A2,0,A1           ; |143| 
   [!A1]   B       .S1     L12               ; |143| 
   [ A1]   MVK     .S1     0x1000,A9
   [ A1]   MV      .S2X    A2,B0
   [ A1]   ZERO    .D2     B7                ; |143| 
           NOP             2
           ; BRANCH OCCURS                   ; |143| 
;** --------------------------------------------------------------------------*
;**   BEGIN LOOP L7
;** --------------------------------------------------------------------------*
L7:    
	.line	45
           LDW     .D1T1   *A5,A0            ; |145| 
           NOP             4
           AND     .S1     A9,A0,A1          ; |145| 
   [ A1]   B       .S1     L9                ; |145| 
           NOP             5
           ; BRANCH OCCURS                   ; |145| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L8:    
	.line	47
	nop 5
	.line	48
           LDW     .D1T1   *A5,A0            ; |148| 
           NOP             4
           AND     .S1     A9,A0,A1          ; |148| 
   [!A1]   B       .S1     L8                ; |148| 
           NOP             5
           ; BRANCH OCCURS                   ; |148| 
;** --------------------------------------------------------------------------*
L9:    
	.line	49
           B       .S1     _dma_copy         ; |149| 
           LDW     .D1T1   *+A5[A7],A4
           MVKL    .S2     RL8,B3            ; |149| 
           MVK     .S1     0x1,A6            ; |149| 
           ADD     .D2     B8,B7,B4
           MVKH    .S2     RL8,B3            ; |149| 
RL8:       ; CALL OCCURS                     ; |149| 
	.line	50
           SUB     .D2     B0,1,B0           ; |150| 
   [ B0]   B       .S1     L7                ; |150| 
           ADD     .D2     1,B7,B7           ; |150| 
           NOP             4
           ; BRANCH OCCURS                   ; |150| 
;** --------------------------------------------------------------------------*
           B       .S1     L12               ; |150| 
           NOP             5
           ; BRANCH OCCURS                   ; |150| 
;** --------------------------------------------------------------------------*
L10:    
	.line	36
           CMPGT   .L1     A2,0,A1           ; |136| 
   [!A1]   B       .S1     L12               ; |136| 
           NOP             5
           ; BRANCH OCCURS                   ; |136| 
;** --------------------------------------------------------------------------*
	.line	38
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L11:    
           B       .S1     _read_a_word      ; |138| 
           MVKL    .S2     RL10,B3           ; |138| 
           MVKH    .S2     RL10,B3           ; |138| 
           NOP             3
RL10:      ; CALL OCCURS                     ; |138| 
           STW     .D2T1   A4,*+SP(8)        ; |138| 
	.line	39
           SUB     .D1     A2,1,A2           ; |139| 
   [ A2]   B       .S1     L11               ; |139| 
           NOP             5
           ; BRANCH OCCURS                   ; |139| 
;** --------------------------------------------------------------------------*
L12:    
	.line	52
           B       .S1     _read_a_word      ; |152| 
           MVKL    .S2     RL12,B3           ; |152| 
           MVKH    .S2     RL12,B3           ; |152| 
           NOP             3
RL12:      ; CALL OCCURS                     ; |152| 
           MV      .D1     A4,A2
	.line	53
           SHR     .S1     A2,2,A2           ; |153| 
   [ A2]   B       .S1     L6                ; |153| 
           NOP             5
           ; BRANCH OCCURS                   ; |153| 
;** --------------------------------------------------------------------------*
L13:    
	.line	55
           B       .S1     _read_a_word      ; |155| 
           MVKL    .S2     RL14,B3           ; |155| 
           MVKH    .S2     RL14,B3           ; |155| 
           NOP             3
RL14:      ; CALL OCCURS                     ; |155| 
           STW     .D2T1   A4,*+DP(_entry_point) ; |155| 
	.line	56
           MVKL    .S1     0x400014,A0       ; |156| 
           MVK     .S2     15,B4             ; |156| 
           MVKH    .S1     0x400014,A0       ; |156| 
           STW     .D1T2   B4,*A0            ; |156| 
	.line	58
           MV      .D1     A8,A4
	.line	59
           LDW     .D2T2   *++SP(16),B3      ; |159| 
           NOP             4
           B       .S2     B3                ; |159| 
           NOP             5
           ; BRANCH OCCURS                   ; |159| 
	.endfunc	159,000080000h,16


	.sect	".text"
	.global	_main
	.sym	_main,_main, 36, 2, 0
	.func	162

;******************************************************************************
;* FUNCTION NAME: _main                                                       *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,B0,B3,B4,B5,B6,B7, *
;*                           B8,B9,SP                                         *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,B0,B3,B4,B5,B6,B7, *
;*                           B8,B9,DP,SP                                      *
;*   Local Frame Size  : 0 Args + 12 Auto + 8 Save = 20 byte                  *
;******************************************************************************
_main:
;** --------------------------------------------------------------------------*
	.line	2
	.sym	_modid,10, 4, 4, 32
	.sym	_flash,23, 30, 4, 32
	.sym	_j,5, 4, 4, 32
	.sym	_j,1, 4, 4, 32
	.sym	_address,4, 14, 1, 32
	.sym	_size,8, 14, 1, 32
	.sym	_magic,12, 14, 1, 32
           STW     .D2T2   B3,*SP--(24)      ; |163| 
           STW     .D2T1   A10,*+SP(20)      ; |163| 
	.line	22
           ZERO    .D1     A0                ; |183| 
           MVK     .S2     12376,B4          ; |183| 
           MVKH    .S1     0x1800000,A0      ; |183| 
           STW     .D1T2   B4,*A0            ; |183| 
	.line	23
           MVKL    .S1     0x1800008,A3      ; |184| 
           MVKH    .S1     0x1800008,A3      ; |184| 
           MVK     .S1     0x30,A0           ; |184| 
           STW     .D1T1   A0,*A3            ; |184| 
	.line	24
           MVKL    .S2     0x25611522,B5     ; |185| 
           MVKH    .S2     0x25611522,B5     ; |185| 
           MVKL    .S2     0x1800004,B4      ; |185| 
           MVKH    .S2     0x1800004,B4      ; |185| 
           STW     .D2T2   B5,*B4            ; |185| 
	.line	25
           MVKL    .S1     0x1800010,A3      ; |186| 
           MVKH    .S1     0x1800010,A3      ; |186| 
           STW     .D1T1   A0,*A3            ; |186| 
	.line	26
           MVKL    .S2     0x1800014,B4      ; |187| 
           MVKH    .S2     0x1800014,B4      ; |187| 
           STW     .D2T1   A0,*B4            ; |187| 
	.line	27
           MVKL    .S2     0x1800018,B4      ; |188| 
           MVKL    .S1     0x7229000,A0      ; |188| 
           MVKH    .S2     0x1800018,B4      ; |188| 
           MVKH    .S1     0x7229000,A0      ; |188| 
           STW     .D2T1   A0,*B4            ; |188| 
	.line	28
           MVKL    .S1     0x180001c,A0      ; |189| 
           MVK     .S2     2343,B4           ; |189| 
           MVKH    .S1     0x180001c,A0      ; |189| 
           STW     .D1T2   B4,*A0            ; |189| 
	.line	31
           MVK     .S2     24576,B5          ; |192| 
           ZERO    .D2     B4                ; |192| 
           MVKH    .S2     0x1880000,B4      ; |192| 
           STW     .D2T2   B5,*B4            ; |192| 
	.line	38
           MVKL    .S1     0x1402000,A0      ; |199| 
           MVKH    .S1     0x1402000,A0      ; |199| 
           LDW     .D1T1   *A0,A0            ; |199| 
           NOP             4
           STW     .D2T1   A0,*+SP(4)        ; |199| 
	.line	39
           MVKL    .S2     0x1402004,B4      ; |200| 
           MVKH    .S2     0x1402004,B4      ; |200| 
           LDW     .D2T2   *B4,B4            ; |200| 
           NOP             4
           STW     .D2T2   B4,*+SP(8)        ; |200| 
	.line	40
           MVKL    .S1     0x1402008,A0      ; |201| 
           MVKH    .S1     0x1402008,A0      ; |201| 
           LDW     .D1T1   *A0,A0            ; |201| 
           NOP             4
           STW     .D2T1   A0,*+SP(12)       ; |201| 
	.line	15
           MVKL    .S1     0x4ffffc,A8       ; |176| 
           MVKL    .S1     0x400014,A7       ; |176| 
           MVKH    .S1     0x4ffffc,A8       ; |176| 
           MVKH    .S1     0x400014,A7       ; |176| 
	.line	40
           MVKL    .S2     0x140200c,B7      ; |201| 
           MVKH    .S2     0x140200c,B7      ; |201| 
	.line	42
           LDW     .D2T2   *+SP(8),B0        ; |203| 
           MVKL    .S2     0xdeafd00f,B4     ; |203| 
           MVKH    .S2     0xdeafd00f,B4     ; |203| 
           NOP             2
   [!B0]   B       .S1     L15               ; |203| 
   [ B0]   LDW     .D2T2   *+SP(12),B5       ; |203| 
           NOP             4
           ; BRANCH OCCURS                   ; |203| 
;** --------------------------------------------------------------------------*
           NOP             4
           CMPEQ   .L2     B5,B4,B0          ; |203| 
   [!B0]   B       .S1     L15               ; |203| 
   [ B0]   MVK     .S2     0xfffffffc,B9
           NOP             4
           ; BRANCH OCCURS                   ; |203| 
;** --------------------------------------------------------------------------*
	.line	41
           MVK     .S1     0x1,A5            ; |202| 
	.line	42
           MVKL    .S2     0xdeafd00f,B8     ; |203| 
           MVKH    .S2     0xdeafd00f,B8     ; |203| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L14:    
	.line	44
           NOT     .S1     A5,A0             ; |205| 
           STW     .D1T1   A0,*A7            ; |205| 
	.line	46
           LDW     .D2T1   *+SP(8),A6
           B       .S1     _dma_copy         ; |207| 
           LDW     .D2T2   *+SP(4),B4        ; |207| 
           MVKL    .S2     RL16,B3           ; |207| 
           MV      .S1X    B7,A4
           MVKH    .S2     RL16,B3           ; |207| 
           NOP             1
RL16:      ; CALL OCCURS                     ; |207| 
	.line	47
           LDW     .D2T2   *+SP(8),B4        ; |208| 
           NOP             4
           ADD     .D2     3,B4,B4           ; |208| 
           AND     .S2     B9,B4,B4          ; |208| 
           ADD     .D2     B7,B4,B7
	.line	48
           LDW     .D2T2   *B7++,B4          ; |209| 
           NOP             4
           STW     .D2T2   B4,*+SP(4)        ; |209| 
	.line	49
           LDW     .D2T2   *B7++,B4          ; |210| 
           NOP             4
           STW     .D2T2   B4,*+SP(8)        ; |210| 
	.line	50
           LDW     .D2T2   *B7++,B4          ; |211| 
           NOP             4
           STW     .D2T2   B4,*+SP(12)       ; |211| 
	.line	51
           LDW     .D2T2   *+SP(8),B0        ; |212| 
           NOP             4
   [!B0]   B       .S1     L15               ; |212| 
           NOP             5
           ; BRANCH OCCURS                   ; |212| 
;** --------------------------------------------------------------------------*
	.line	44
           ADD     .D1     1,A5,A5           ; |205| 
	.line	51
           LDW     .D2T2   *+SP(12),B4       ; |212| 
           NOP             4
           CMPEQ   .L2     B4,B8,B0          ; |212| 
   [ B0]   B       .S1     L14               ; |212| 
           NOP             5
           ; BRANCH OCCURS                   ; |212| 
;** --------------------------------------------------------------------------*
L15:    
	.line	53
           LDW     .D2T2   *+SP(12),B4       ; |214| 
           MVKL    .S1     0xdeafd00f,A0     ; |214| 
           MVKH    .S1     0xdeafd00f,A0     ; |214| 
           NOP             2
           CMPEQ   .L2X    B4,A0,B0          ; |214| 
   [ B0]   B       .S1     L18               ; |214| 
           NOP             5
           ; BRANCH OCCURS                   ; |214| 
;** --------------------------------------------------------------------------*
	.line	70
           MVK     .S1     -2,A0             ; |231| 
           STW     .D1T1   A0,*A7            ; |231| 
	.line	71
           LDW     .D1T1   *+A7(4),A0        ; |232| 
           NOP             4
           EXTU    .S1     A0,24,24,A10      ; |232| 
	.line	72
           ZERO    .D1     A0                ; |233| 
           SET     .S1     A0,0x4,0xf,A0     ; |233| 
           MVC     .S2X    A0,ICR            ; |233| 
	.line	73
           MVC     .S2     CSR,B4            ; |234| 
           OR      .S2     1,B4,B4           ; |234| 
           MVC     .S2     B4,CSR            ; |234| 
	.line	75
           AND     .S1     7,A10,A0          ; |236| 
           STW     .D2T1   A0,*+DP(_slave_id) ; |236| 
	.line	76
           LDW     .D2T2   *+DP(_slave_id),B4 ; |237| 
           MVK     .S1     120,A3            ; |237| 
           SHR     .S1     A10,1,A0          ; |237| 
           AND     .S1     A3,A0,A0          ; |237| 
           NOP             1
           OR      .S2X    B4,A0,B4          ; |237| 
           STW     .D2T2   B4,*+DP(_slave_id) ; |237| 
	.line	83
           MVKL    .S2     0xbad0abba,B5     ; |244| 
           MVKH    .S2     0xbad0abba,B5     ; |244| 
           MVKL    .S2     0x8000ffe0,B4     ; |244| 
           MVKH    .S2     0x8000ffe0,B4     ; |244| 
           STW     .D2T2   B5,*B4            ; |244| 
	.line	84
           MVKL    .S1     0x8000ffe4,A3     ; |245| 
           MVKH    .S1     0x8000ffe4,A3     ; |245| 
           MVK     .S1     0x2,A0            ; |245| 
           STW     .D1T1   A0,*A3            ; |245| 
	.line	85
           LDW     .D2T2   *+DP(_slave_id),B5 ; |246| 
           MVKL    .S2     0x8000ffe8,B4     ; |246| 
           MVKH    .S2     0x8000ffe8,B4     ; |246| 
           NOP             2
           STW     .D2T2   B5,*B4            ; |246| 
	.line	86
           MVK     .S1     0x1,A3            ; |247| 
           MVKL    .S2     0x8000ffec,B4     ; |247| 
           MVKH    .S2     0x8000ffec,B4     ; |247| 
           STW     .D2T1   A3,*B4            ; |247| 
	.line	87
           MVKL    .S2     0x8000fff0,B4     ; |248| 
           MVKH    .S2     0x8000fff0,B4     ; |248| 
           STW     .D2T1   A0,*B4            ; |248| 
	.line	88
           MVKL    .S1     0x8000fff4,A0     ; |249| 
           MVK     .S2     3,B4              ; |249| 
           MVKH    .S1     0x8000fff4,A0     ; |249| 
           STW     .D1T2   B4,*A0            ; |249| 
	.line	89
           MVKL    .S2     0x8000fff8,B4     ; |250| 
           MVKH    .S2     0x8000fff8,B4     ; |250| 
           STW     .D2T1   A3,*B4            ; |250| 
	.line	90
           ZERO    .D1     A3                ; |251| 
           MVKL    .S1     0x8000fffc,A0     ; |251| 
           MVKH    .S1     0x8000fffc,A0     ; |251| 
           STW     .D1T1   A3,*A0            ; |251| 
	.line	97
           MVK     .S1     0x1,A1            ; |258| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L16:    
	.line	100
           LDW     .D2T2   *+DP(_readfifo),B0 ; |261| 
           NOP             4
   [!B0]   B       .S1     L17               ; |261| 
           NOP             5
           ; BRANCH OCCURS                   ; |261| 
;** --------------------------------------------------------------------------*
	.line	102
           ZERO    .D2     B4                ; |263| 
           STW     .D2T2   B4,*+DP(_readfifo) ; |263| 
	.line	103
           B       .S1     _boot_program     ; |264| 
           MVKL    .S2     RL18,B3           ; |264| 
           MV      .D1     A10,A4            ; |264| 
           MVKH    .S2     RL18,B3           ; |264| 
           NOP             2
RL18:      ; CALL OCCURS                     ; |264| 
           MV      .D1     A4,A1
;** --------------------------------------------------------------------------*
L17:    
	.line	105
   nop     5
	.line	106
   [ A1]   B       .S1     L16               ; |267| 
           NOP             5
           ; BRANCH OCCURS                   ; |267| 
;** --------------------------------------------------------------------------*
           B       .S1     L19               ; |267| 
           NOP             5
           ; BRANCH OCCURS                   ; |267| 
;** --------------------------------------------------------------------------*
L18:    
	.line	55
           MVK     .S2     15,B4             ; |216| 
           STW     .D1T2   B4,*A7            ; |216| 
	.line	58
           LDW     .D2T2   *B7,B4            ; |219| 
           NOP             4
           STW     .D2T2   B4,*+DP(_entry_point) ; |219| 
	.line	59
           MVKL    .S1     0x90420,A0        ; |220| 
           MVKH    .S1     0x90420,A0        ; |220| 
           STW     .D1T1   A0,*+A7[A8]       ; |220| 
;** --------------------------------------------------------------------------*
L19:    
	.line	110
   nop     5
	.line	111
   ldw     *+b14(_entry_point),a0
	.line	112
   nop     5
	.line	113
   b.s2    a0
	.line	114
   nop     5
           ZERO    .D1     A4                ; |275| 
	.line	115
           LDW     .D2T1   *+SP(20),A10      ; |276| 
           LDW     .D2T2   *++SP(24),B3      ; |276| 
           NOP             4
           B       .S2     B3                ; |276| 
           NOP             5
           ; BRANCH OCCURS                   ; |276| 
	.endfunc	276,000080400h,24


;******************************************************************************
;* MARK THE END OF THE SCALAR INIT RECORD IN CINIT:C                          *
;******************************************************************************
CIR:	.sect	".cinit:c"

;******************************************************************************
;* TYPE INFORMATION                                                           *
;******************************************************************************
