;******************************************************************************
;* TMS320C6x ANSI C Codegen                                      Version 3.01 *
;* Date/Time created: Mon Nov 27 18:36:08 2000                                *
;******************************************************************************

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture        : TMS320C6200                                        *
;*   Endian              : Little                                             *
;*   Interrupt Threshold : Disabled                                           *
;*   Memory Model        : Small                                              *
;*   Calls to RTS        : Near                                               *
;*   Pipelining          : Enabled                                            *
;*   Speculative Load    : Threshold = 0                                      *
;*   Epilog Collapsing   : Enabled                                            *
;*   Prolog Collapsing   : Enabled                                            *
;*   Redundant Loops     : Enabled                                            *
;*   Code Size Opt.      : Disabled                                           *
;*   Memory Aliases      : Presume are aliases (pessimistic)                  *
;*   Debug Info          : Debug                                              *
;*                                                                            *
;******************************************************************************

FP	.set	A15
DP	.set	B14
SP	.set	B15
	.global	$bss

;	opt6x -v6201 -O2 C:\WINDOWS\TEMP\tempTI7 C:\WINDOWS\TEMP\tempTI19 
	.file	"flaspro4.c"
	.file	"C:\ti\c6000\cgtools\include\stdio.h"
	.stag	_T0, 224
	.member	_fd, 0, 4, 8, 32
	.member	_buf, 32, 28, 8, 32
	.member	_pos, 64, 28, 8, 32
	.member	_bufend, 96, 28, 8, 32
	.member	_buff_stop, 128, 28, 8, 32
	.member	_flags, 160, 14, 8, 32
	.member	_index, 192, 4, 8, 32
	.eos
	.sym	_FILE, 0, 8, 13, 224,_T0
	.file	"C:\ti\c6000\cgtools\include\stdlib.h"
	.sym	_size_t, 0, 14, 13, 32
	.file	"flaspro4.c"
	.global	_boot_array
	.bss	_boot_array,4,4
	.sym	_boot_array,_boot_array, 28, 2, 32
	.global	_bootloader
	.bss	_bootloader,4,4
	.sym	_bootloader,_bootloader, 4, 2, 32

	.sect	".cinit:c"
	.align	8
	.field  	(CIR - $) - 8, 32
	.field  	_top+0,32
	.field  	0,32			; _top @ 0

	.sect	".text"
	.global	_top
_top:	.usect	".bss:c",4,4
	.sym	_top,_top, 14, 2, 32

	.sect	".cinit:c"
	.align	4
	.field  	0x2000,32			; _app @ 0

	.sect	".text"
	.global	_app
_app:	.usect	".bss:c",4,4
	.sym	_app,_app, 14, 2, 32
	.file	"t.c"
   .sect   .vectors
l0:        nop     
   nop     
   b.s2    l0
   nop     
   nop     
   nop     
   nop     
   nop     
l1:        nop     
   nop     
   b.s2    l1
   nop     
   nop     
   nop     
   nop     
   nop     
l2:        nop     
   nop     
   b.s2    l2
   nop     
   nop     
   nop     
   nop     
   nop     
l3:        nop     
   nop     
   b.s2    l3
   nop     
   nop     
   nop     
   nop     
   nop     
l4:        nop     
   nop     
   b.s2    l4
   nop     
   nop     
   nop     
   nop     
   nop     
l5:        nop     
   nop     
   b.s2    l5
   nop     
   nop     
   nop     
   nop     
   nop     
l6:        nop     
   nop     
   b.s2    l6
   nop     
   nop     
   nop     
   nop     
   nop     
l7:        nop     
   nop     
   b.s2    l7
   nop     
   nop     
   nop     
   nop     
   nop     
l8:        nop     
   nop     
   b.s2    l8
   nop     
   nop     
   nop     
   nop     
   nop     
l9:        nop     
   nop     
   b.s2    l9
   nop     
   nop     
   nop     
   nop     
   nop     
la:        nop     
   nop     
   b.s2    la
   nop     
   nop     
   nop     
   nop     
   nop     
lb:        nop     
   nop     
   b.s2    lb
   nop     
   nop     
   nop     
   nop     
   nop     
lc:        nop     
   nop     
   b.s2    lc
   nop     
   nop     
   nop     
   nop     
   nop     
ld:        nop     
   nop     
   b.s2    ld
   nop     
   nop     
   nop     
   nop     
   nop     
le:        nop     
   nop     
   b.s2    le
   nop     
   nop     
   nop     
   nop     
   nop     
lf:        nop     
   nop     
   b.s2    lf
   nop     
   nop     
   nop     
   nop     
   nop     
l10:        nop     
   nop     
   b.s2    l10
   nop     
   nop     
   nop     
   nop     
   nop     
l11:        nop     
   nop     
   b.s2    l11
   nop     
   nop     
   nop     
   nop     
   nop     
l12:        nop     
   nop     
   b.s2    l12
   nop     
   nop     
   nop     
   nop     
   nop     
l13:        nop     
   nop     
   b.s2    l13
   nop     
   nop     
   nop     
   nop     
   nop     
l14:        nop     
   nop     
   b.s2    l14
   nop     
   nop     
   nop     
   nop     
   nop     
l15:        nop     
   nop     
   b.s2    l15
   nop     
   nop     
   nop     
   nop     
   nop     
l16:        nop     
   nop     
   b.s2    l16
   nop     
   nop     
   nop     
   nop     
   nop     
l17:        nop     
   nop     
   b.s2    l17
   nop     
   nop     
   nop     
   nop     
   nop     
l18:        nop     
   nop     
   b.s2    l18
   nop     
   nop     
   nop     
   nop     
   nop     
l19:        nop     
   nop     
   b.s2    l19
   nop     
   nop     
   nop     
   nop     
   nop     
l1a:        nop     
   nop     
   b.s2    l1a
   nop     
   nop     
   nop     
   nop     
   nop     
l1b:        nop     
   nop     
   b.s2    l1b
   nop     
   nop     
   nop     
   nop     
   nop     
l1c:        nop     
   nop     
   b.s2    l1c
   nop     
   nop     
   nop     
   nop     
   nop     
l1d:        nop     
   nop     
   b.s2    l1d
   nop     
   nop     
   nop     
   nop     
   nop     
l1e:        nop     
   nop     
   b.s2    l1e
   nop     
   nop     
   nop     
   nop     
   nop     
l1f:        nop     
   nop     
   b.s2    l1f
   nop     
   nop     
   nop     
   nop     
   nop     
	.file	"flaspro4.c"
	.sect	".text"
	.global	_auto_select_command
	.sym	_auto_select_command,_auto_select_command, 32, 2, 0
	.func	37

;******************************************************************************
;* FUNCTION NAME: _auto_select_command                                        *
;*                                                                            *
;*   Regs Modified     : A0,A3,A4,A5,B4,B5,B6                                 *
;*   Regs Used         : A0,A3,A4,A5,B3,B4,B5,B6                              *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_auto_select_command:
;** --------------------------------------------------------------------------*
	.sym	_flash,0, 30, 4, 32
	.line	5

           MVKL    .S1     0xaa00aa,A5       ; |41| 
||         MVKL    .S2     0x115554,B6       ; |41| 
||         ZERO    .L1     A0                ; |41| 

           MVKH    .S1     0x1400000,A0      ; |41| 
||         MVKH    .S2     0x115554,B6       ; |41| 

           ADD     .L2X    B6,A0,B6          ; |41| 
||         MVKH    .S1     0xaa00aa,A5       ; |41| 

           STW     .D2T1   A5,*B6            ; |41| 
	.line	6
   NOP     5
	.line	7
   NOP     5
	.line	8
   NOP     5
	.line	9
   NOP     5
	.line	10
   NOP     5
	.line	11
   NOP     5
	.line	12
   NOP     5
	.line	13
   NOP     5
	.line	14
   NOP     5
	.line	15
   NOP     5
	.line	16
   NOP     5
	.line	17
   NOP     5
	.line	18
   NOP     5
	.line	19
   NOP     5
	.line	20
   NOP     5
	.line	21
   NOP     5
	.line	22
   NOP     5
	.line	23
   NOP     5
	.line	24
           MVKL    .S2     0x10aaa8,B4       ; |60| 

           MVKH    .S2     0x10aaa8,B4       ; |60| 
||         MVKL    .S1     0x550055,A3       ; |60| 

           ADD     .L2X    B4,A0,B4          ; |60| 
||         MVKH    .S1     0x550055,A3       ; |60| 

           STW     .D2T1   A3,*B4            ; |60| 
	.line	25
   NOP     5
	.line	26
   NOP     5
	.line	27
   NOP     5
	.line	28
   NOP     5
	.line	29
   NOP     5
	.line	30
   NOP     5
	.line	31
   NOP     5
	.line	32
   NOP     5
	.line	33
   NOP     5
	.line	34
   NOP     5
	.line	35
   NOP     5
	.line	36
   NOP     5
	.line	37
   NOP     5
	.line	38
   NOP     5
	.line	39
   NOP     5
	.line	40
   NOP     5
	.line	41
   NOP     5
	.line	42
   NOP     5
	.line	43
           MVKL    .S2     0x115554,B5       ; |79| 

           MVKH    .S2     0x115554,B5       ; |79| 
||         MVKL    .S1     0x900090,A4       ; |79| 

           ADD     .L1X    B5,A0,A0          ; |79| 
||         MVKH    .S1     0x900090,A4       ; |79| 

           STW     .D1T1   A4,*A0            ; |79| 
	.line	44
   NOP     5
	.line	45
   NOP     5
	.line	46
   NOP     5
	.line	47
   NOP     5
	.line	48
   NOP     5
	.line	49
   NOP     5
	.line	50
   NOP     5
	.line	51
   NOP     5
	.line	52
   NOP     5
	.line	53
   NOP     5
	.line	54
   NOP     5
	.line	55
   NOP     5
	.line	56
   NOP     5
	.line	57
   NOP     5
	.line	58
   NOP     5
	.line	59
   NOP     5
	.line	60
   NOP     5
	.line	61
   NOP     5
	.line	62
   NOP     5
	.line	63
   NOP     5
	.line	64
   NOP     5
	.line	65
   NOP     5
	.line	66
   NOP     5
	.line	67
   NOP     5
	.line	68
   NOP     5
	.line	69
   NOP     5
	.line	70
   NOP     5
	.line	71
   NOP     5
	.line	72
   NOP     5
	.line	73
   NOP     5
	.line	74
   NOP     5
	.line	75
   NOP     5
	.line	76
   NOP     5
	.line	77
           B       .S2     B3                ; |113| 
           NOP             5
           ; BRANCH OCCURS                   ; |113| 
	.endfunc	113,000000000h,0


	.sect	".text"
	.global	_sector_erase_command
	.sym	_sector_erase_command,_sector_erase_command, 32, 2, 0
	.func	115

;******************************************************************************
;* FUNCTION NAME: _sector_erase_command                                       *
;*                                                                            *
;*   Regs Modified     : A0,A3,A4,A5,A6,B0,B4,B5,B6,B7                        *
;*   Regs Used         : A0,A3,A4,A5,A6,B0,B3,B4,B5,B6,B7                     *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_sector_erase_command:
;** --------------------------------------------------------------------------*
	.sym	_sector_address,4, 4, 17, 32
	.sym	C$1,0, 30, 4, 32
	.sym	C$2,3, 14, 4, 32
	.sym	C$3,0, 14, 4, 32
	.sym	Q$1,21, 30, 4, 32
	.sym	Q$2,20, 30, 4, 32
	.sym	K$12,3, 4, 4, 32
	.sym	U$18,0, 30, 4, 32
	.sym	_sector_address,4, 4, 4, 32
	.sym	_flash,0, 30, 4, 32
	.sym	_tempa,20, 4, 4, 32
	.sym	_tempa,4, 4, 4, 32
	.line	2
	.line	6

           MVKL    .S1     0xaa00aa,A0       ; |120| 
||         MVKL    .S2     0x1515554,B4      ; |120| 

           MVKH    .S1     0xaa00aa,A0       ; |120| 
||         MVKH    .S2     0x1515554,B4      ; |120| 

           STW     .D2T1   A0,*B4            ; |120| 
	.line	7
   NOP     5
	.line	8
   NOP     5
	.line	9
   NOP     5
	.line	10
   NOP     5
	.line	11
   NOP     5
	.line	12
   NOP     5
	.line	13
   NOP     5
	.line	14
   NOP     5
	.line	15
   NOP     5
	.line	16
   NOP     5
	.line	17
   NOP     5
	.line	18
   NOP     5
	.line	19
   NOP     5
	.line	20
   NOP     5
	.line	21
   NOP     5
	.line	22
   NOP     5
	.line	23
   NOP     5
	.line	24
   NOP     5
	.line	25

           MVKL    .S1     0x550055,A3       ; |139| 
||         MVKL    .S2     0x150aaa8,B5      ; |139| 

           MVKH    .S1     0x550055,A3       ; |139| 
||         MVKH    .S2     0x150aaa8,B5      ; |139| 

           STW     .D2T1   A3,*B5            ; |139| 
	.line	26
   NOP     5
	.line	27
   NOP     5
	.line	28
   NOP     5
	.line	29
   NOP     5
	.line	30
   NOP     5
	.line	31
   NOP     5
	.line	32
   NOP     5
	.line	33
   NOP     5
	.line	34
   NOP     5
	.line	35
   NOP     5
	.line	36
   NOP     5
	.line	37
   NOP     5
	.line	38
   NOP     5
	.line	39
   NOP     5
	.line	40
   NOP     5
	.line	41
   NOP     5
	.line	42
   NOP     5
	.line	43
   NOP     5
	.line	44
           MVKL    .S1     0x800080,A6       ; |158| 
           MVKH    .S1     0x800080,A6       ; |158| 
           STW     .D2T1   A6,*B4            ; |158| 
	.line	45
   NOP     5
	.line	46
   NOP     5
	.line	47
   NOP     5
	.line	48
   NOP     5
	.line	49
   NOP     5
	.line	50
   NOP     5
	.line	51
   NOP     5
	.line	52
   NOP     5
	.line	53
   NOP     5
	.line	54
   NOP     5
	.line	55
   NOP     5
	.line	56
   NOP     5
	.line	57
   NOP     5
	.line	58
   NOP     5
	.line	59
   NOP     5
	.line	60
   NOP     5
	.line	61
   NOP     5
	.line	62
   NOP     5
	.line	63
   NOP     5
	.line	64
   NOP     5
	.line	65
   NOP     5
	.line	66
   NOP     5
	.line	67
   NOP     5
	.line	68
   NOP     5
	.line	69
   NOP     5
	.line	70
   NOP     5
	.line	71
   NOP     5
	.line	72
   NOP     5
	.line	73
   NOP     5
	.line	74
   NOP     5
	.line	75
   NOP     5
	.line	76
   NOP     5
	.line	77
           STW     .D2T1   A0,*B4            ; |191| 
	.line	78
   NOP     5
	.line	79
   NOP     5
	.line	80
   NOP     5
	.line	81
   NOP     5
	.line	82
   NOP     5
	.line	83
   NOP     5
	.line	84
   NOP     5
	.line	85
   NOP     5
	.line	86
   NOP     5
	.line	87
   NOP     5
	.line	88
   NOP     5
	.line	89
   NOP     5
	.line	90
   NOP     5
	.line	91
   NOP     5
	.line	92
   NOP     5
	.line	93
   NOP     5
	.line	94
   NOP     5
	.line	95
   NOP     5
	.line	96
           STW     .D2T1   A3,*B5            ; |210| 
	.line	97
   NOP     5
	.line	98
   NOP     5
	.line	99
   NOP     5
	.line	100
   NOP     5
	.line	101
   NOP     5
	.line	102
   NOP     5
	.line	103
   NOP     5
	.line	104
   NOP     5
	.line	105
   NOP     5
	.line	106
   NOP     5
	.line	107
   NOP     5
	.line	108
   NOP     5
	.line	109
   NOP     5
	.line	110
   NOP     5
	.line	111
   NOP     5
	.line	112
   NOP     5
	.line	113
   NOP     5
	.line	114
   NOP     5
	.line	115
           ZERO    .L1     A0                ; |229| 
           MVKH    .S1     0x1400000,A0      ; |229| 
           ADDAW   .D1     A0,A4,A0          ; |229| 
           MVKL    .S2     0x300030,B6       ; |229| 
           MVKH    .S2     0x300030,B6       ; |229| 
           STW     .D1T2   B6,*A0            ; |229| 
	.line	116
   NOP     5
	.line	117
   NOP     5
	.line	118
   NOP     5
	.line	119
   NOP     5
	.line	120
   NOP     5
	.line	121
   NOP     5
	.line	122
   NOP     5
	.line	123
   NOP     5
	.line	124
   NOP     5
	.line	125
   NOP     5
	.line	126
   NOP     5
	.line	127
   NOP     5
	.line	128
   NOP     5
	.line	129
   NOP     5
	.line	130
   NOP     5
	.line	131
   NOP     5
	.line	132
   NOP     5
	.line	133
   NOP     5
	.line	134
   NOP     5
	.line	136
           LDW     .D1T1   *A0,A3            ; |250| 
           NOP             2
           MVKL    .S2     0x800080,B7       ; |250| 

           MVKH    .S2     0x800080,B7       ; |250| 
||         MVKL    .S1     0x800080,A5       ; |250| 

           AND     .L2X    B7,A3,B4          ; |250| 
||         MVKH    .S1     0x800080,A5       ; |250| 

           CMPEQ   .L2X    B4,A5,B0          ; |250| 
   [ B0]   B       .S1     L2                ; |250| 
           NOP             5
           ; BRANCH OCCURS                   ; |250| 
;** --------------------------------------------------------------------------*
	.line	137
           MVKL    .S1     0x800080,A3       ; |251| 
           MVKH    .S1     0x800080,A3       ; |251| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: unknown trip counter variable
;*----------------------------------------------------------------------------*
L1:    
	.line	139
           LDW     .D1T1   *A0,A4            ; |253| 
           NOP             4
           AND     .L1     A3,A4,A4          ; |253| 
	.line	140
           MVKL    .S2     0x800080,B4       ; |254| 
           MVKH    .S2     0x800080,B4       ; |254| 
           CMPEQ   .L2X    A4,B4,B0          ; |254| 
   [!B0]   B       .S1     L1                ; |254| 
           NOP             5
           ; BRANCH OCCURS                   ; |254| 
;** --------------------------------------------------------------------------*
;** --------------------------------------------------------------------------*
L2:    
	.line	141
           B       .S2     B3                ; |255| 
           NOP             5
           ; BRANCH OCCURS                   ; |255| 
	.endfunc	255,000000000h,0


	.sect	".text"
	.global	_InitFlash
	.sym	_InitFlash,_InitFlash, 32, 2, 0
	.func	257

;******************************************************************************
;* FUNCTION NAME: _InitFlash                                                  *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,   *
;*                           A15,B0,B1,B2,B3,B4,B5,B6,B7,B8,B9,B10,B11,B12,SP *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,   *
;*                           A15,B0,B1,B2,B3,B4,B5,B6,B7,B8,B9,B10,B11,B12,SP *
;*   Local Frame Size  : 8 Args + 0 Auto + 40 Save = 48 byte                  *
;******************************************************************************
_InitFlash:
;** --------------------------------------------------------------------------*
	.sym	_flash,4, 30, 17, 32
	.sym	C$1,12, 18, 4, 32
	.sym	C$2,12, 18, 4, 32
	.sym	_flash,11, 30, 4, 32
	.sym	_i,12, 4, 4, 32
	.sym	_manuf_code,14, 4, 4, 32
	.sym	_dev_code,13, 4, 4, 32
	.sym	_top,26, 4, 4, 32
	.sym	_bottom,12, 4, 4, 32
	.sym	K$2,10, 14, 4, 32
           STW     .D2T2   B12,*SP--(48)     ; |257| 
           STW     .D2T1   A10,*+SP(12)      ; |257| 
           STW     .D2T1   A11,*+SP(16)      ; |257| 
           STW     .D2T1   A12,*+SP(20)      ; |257| 
           STW     .D2T1   A13,*+SP(24)      ; |257| 
           STW     .D2T1   A14,*+SP(28)      ; |257| 
           STW     .D2T1   A15,*+SP(32)      ; |257| 
           STW     .D2T2   B3,*+SP(36)       ; |257| 
           STW     .D2T2   B10,*+SP(40)      ; |257| 
           STW     .D2T2   B11,*+SP(44)      ; |257| 
	.line	2
           MV      .L1     A4,A11            ; |258| 
	.line	7
           MVKL    .S1     0x115554,A0       ; |263| 
           MVKH    .S1     0x115554,A0       ; |263| 
           MVKL    .S1     0xf000f0,A10      ; |263| 

           ADD     .L1     A0,A11,A0         ; |263| 
||         MVKH    .S1     0xf000f0,A10      ; |263| 

           STW     .D1T1   A10,*A0           ; |263| 
	.line	9
           B       .S1     _auto_select_command ; |265| 
           NOP             3
           MVKL    .S2     RL0,B3            ; |265| 
           MVKH    .S2     RL0,B3            ; |265| 
RL0:       ; CALL OCCURS                     ; |265| 
	.line	10
           LDW     .D1T1   *A11,A14          ; |266| 
	.line	11
           LDW     .D1T1   *+A11(4),A13      ; |267| 
	.line	12
           B       .S1     _printf           ; |268| 
           NOP             1
           MVKL    .S2     SL1+0,B7          ; |268| 
           MVKH    .S2     SL1+0,B7          ; |268| 

           STW     .D2T2   B7,*+SP(4)        ; |268| 
||         MVKL    .S2     RL2,B3            ; |268| 

           STW     .D2T1   A14,*+SP(8)       ; |268| 
||         MVKH    .S2     RL2,B3            ; |268| 

RL2:       ; CALL OCCURS                     ; |268| 
	.line	13
           B       .S1     _printf           ; |269| 
           NOP             1
           MVKL    .S2     SL2+0,B10         ; |269| 
           MVKH    .S2     SL2+0,B10         ; |269| 

           STW     .D2T1   A13,*+SP(8)       ; |269| 
||         MVKL    .S2     RL4,B3            ; |269| 

           STW     .D2T2   B10,*+SP(4)       ; |269| 
||         MVKH    .S2     RL4,B3            ; |269| 

RL4:       ; CALL OCCURS                     ; |269| 
	.line	5
           ZERO    .L2     B10               ; |261| 
	.line	6

           ZERO    .L1     A12               ; 
||         ZERO    .L2     B4                ; 

	.line	14
           MVKL    .S2     0x10001,B11       ; |270| 
           MVKH    .S2     0x10001,B11       ; |270| 
           CMPEQ   .L2X    A14,B11,B0        ; |270| 
   [ B0]   B       .S1     L9                ; |270| 
           NOP             5
           ; BRANCH OCCURS                   ; |270| 
;** --------------------------------------------------------------------------*
	.line	35
           MVKL    .S1     0x40004,A0        ; |291| 
           MVKH    .S1     0x40004,A0        ; |291| 
           CMPEQ   .L1     A14,A0,A1         ; |291| 
   [ A1]   B       .S1     L6                ; |291| 
           NOP             5
           ; BRANCH OCCURS                   ; |291| 
;** --------------------------------------------------------------------------*
	.line	56
           MVKL    .S1     0x200020,A0       ; |312| 
           MVKH    .S1     0x200020,A0       ; |312| 
           CMPEQ   .L1     A14,A0,A1         ; |312| 
   [ A1]   B       .S1     L3                ; |312| 
           NOP             5
           ; BRANCH OCCURS                   ; |312| 
;** --------------------------------------------------------------------------*
;***	; the preceding call never returns
	.line	78
           B       .S1     _printf           ; |334| 
           NOP             2
           MVKL    .S1     SL3+0,A0          ; |334| 

           MVKH    .S1     SL3+0,A0          ; |334| 
||         MVKL    .S2     RL6,B3            ; |334| 

           STW     .D2T1   A0,*+SP(4)        ; |334| 
||         MVKH    .S2     RL6,B3            ; |334| 

RL6:       ; CALL OCCURS                     ; |334| 
	.line	79
           B       .S1     _exit             ; |335| 
           NOP             3
           MVKL    .S2     RL8,B3            ; |335| 

           MVKH    .S2     RL8,B3            ; |335| 
||         MVK     .S1     0xffffffff,A4     ; |335| 

RL8:       ; CALL OCCURS                     ; |335| 
;** --------------------------------------------------------------------------*
L3:    
	.line	58
           B       .S1     _printf           ; |314| 
           NOP             1
           MVKL    .S2     SL4+0,B4          ; |314| 
           MVKL    .S2     RL10,B3           ; |314| 
           MVKH    .S2     SL4+0,B4          ; |314| 

           STW     .D2T2   B4,*+SP(4)        ; |314| 
||         MVKH    .S2     RL10,B3           ; |314| 

RL10:      ; CALL OCCURS                     ; |314| 
	.line	59
           MVKL    .S1     0x5b005b,A14      ; |315| 
           MVKH    .S1     0x5b005b,A14      ; |315| 
           CMPEQ   .L1     A13,A14,A1        ; |315| 
   [ A1]   B       .S1     L5                ; |315| 
           NOP             5
           ; BRANCH OCCURS                   ; |315| 
;** --------------------------------------------------------------------------*
	.line	65
           MVKL    .S1     0xd700d7,A0       ; |321| 
           MVKH    .S1     0xd700d7,A0       ; |321| 
           CMPEQ   .L1     A13,A0,A1         ; |321| 
   [ A1]   B       .S1     L4                ; |321| 
           NOP             5
           ; BRANCH OCCURS                   ; |321| 
;** --------------------------------------------------------------------------*
;***	; the preceding call never returns
	.line	72
           B       .S1     _printf           ; |328| 
           NOP             2
           MVKL    .S1     SL5+0,A0          ; |328| 

           MVKH    .S1     SL5+0,A0          ; |328| 
||         MVKL    .S2     RL12,B3           ; |328| 

           STW     .D2T1   A0,*+SP(4)        ; |328| 
||         MVKH    .S2     RL12,B3           ; |328| 

RL12:      ; CALL OCCURS                     ; |328| 
	.line	73
           B       .S1     _exit             ; |329| 
           NOP             3
           MVKL    .S2     RL14,B3           ; |329| 

           MVKH    .S2     RL14,B3           ; |329| 
||         MVK     .S1     0xffffffff,A4     ; |329| 

RL14:      ; CALL OCCURS                     ; |329| 
;** --------------------------------------------------------------------------*
L4:    
	.line	68
           B       .S1     _printf           ; |324| 
           NOP             2
           MVKL    .S1     SL6+0,A0          ; |324| 

           MVKH    .S1     SL6+0,A0          ; |324| 
||         MVKL    .S2     RL16,B3           ; |324| 

           STW     .D2T1   A0,*+SP(4)        ; |324| 
||         MVKH    .S2     RL16,B3           ; |324| 

RL16:      ; CALL OCCURS                     ; |324| 
	.line	67
           MVK     .S2     0x1,B10           ; |323| 
	.line	69
           B       .S1     L12               ; |325| 
           NOP             5
           ; BRANCH OCCURS                   ; |325| 
;** --------------------------------------------------------------------------*
L5:    
	.line	62
           B       .S1     _printf           ; |318| 
           NOP             2
           MVKL    .S1     SL7+0,A0          ; |318| 

           MVKH    .S1     SL7+0,A0          ; |318| 
||         MVKL    .S2     RL18,B3           ; |318| 

           STW     .D2T1   A0,*+SP(4)        ; |318| 
||         MVKH    .S2     RL18,B3           ; |318| 

RL18:      ; CALL OCCURS                     ; |318| 
	.line	61
           MVK     .S2     0x1,B4            ; |317| 
           MV      .L1X    B4,A12            ; |317| 
	.line	63
           B       .S1     L12               ; |319| 
           NOP             5
           ; BRANCH OCCURS                   ; |319| 
;** --------------------------------------------------------------------------*
L6:    
	.line	37
           B       .S1     _printf           ; |293| 
           NOP             1
           MVKL    .S2     SL8+0,B4          ; |293| 
           MVKL    .S2     RL20,B3           ; |293| 
           MVKH    .S2     SL8+0,B4          ; |293| 

           STW     .D2T2   B4,*+SP(4)        ; |293| 
||         MVKH    .S2     RL20,B3           ; |293| 

RL20:      ; CALL OCCURS                     ; |293| 
	.line	38
           MVKL    .S1     0x225b225b,A14    ; |294| 
           MVKH    .S1     0x225b225b,A14    ; |294| 
           CMPEQ   .L1     A13,A14,A1        ; |294| 
   [ A1]   B       .S1     L8                ; |294| 
           NOP             5
           ; BRANCH OCCURS                   ; |294| 
;** --------------------------------------------------------------------------*
	.line	44
           MVKL    .S1     0x22da22da,A0     ; |300| 
           MVKH    .S1     0x22da22da,A0     ; |300| 
           CMPEQ   .L1     A13,A0,A1         ; |300| 
   [ A1]   B       .S1     L7                ; |300| 
           NOP             5
           ; BRANCH OCCURS                   ; |300| 
;** --------------------------------------------------------------------------*
;***	; the preceding call never returns
	.line	51
           B       .S1     _printf           ; |307| 
           NOP             2
           MVKL    .S1     SL9+0,A0          ; |307| 

           MVKH    .S1     SL9+0,A0          ; |307| 
||         MVKL    .S2     RL22,B3           ; |307| 

           STW     .D2T1   A0,*+SP(4)        ; |307| 
||         MVKH    .S2     RL22,B3           ; |307| 

RL22:      ; CALL OCCURS                     ; |307| 
	.line	52
           B       .S1     _exit             ; |308| 
           NOP             3
           MVKL    .S2     RL24,B3           ; |308| 

           MVKH    .S2     RL24,B3           ; |308| 
||         MVK     .S1     0xffffffff,A4     ; |308| 

RL24:      ; CALL OCCURS                     ; |308| 
;** --------------------------------------------------------------------------*
L7:    
	.line	47
           B       .S1     _printf           ; |303| 
           NOP             2
           MVKL    .S1     SL10+0,A0         ; |303| 

           MVKH    .S1     SL10+0,A0         ; |303| 
||         MVKL    .S2     RL26,B3           ; |303| 

           STW     .D2T1   A0,*+SP(4)        ; |303| 
||         MVKH    .S2     RL26,B3           ; |303| 

RL26:      ; CALL OCCURS                     ; |303| 
	.line	46
           MVK     .S2     0x1,B10           ; |302| 
	.line	48
           B       .S1     L12               ; |304| 
           NOP             5
           ; BRANCH OCCURS                   ; |304| 
;** --------------------------------------------------------------------------*
L8:    
	.line	41
           B       .S1     _printf           ; |297| 
           NOP             2
           MVKL    .S1     SL11+0,A0         ; |297| 

           MVKH    .S1     SL11+0,A0         ; |297| 
||         MVKL    .S2     RL28,B3           ; |297| 

           STW     .D2T1   A0,*+SP(4)        ; |297| 
||         MVKH    .S2     RL28,B3           ; |297| 

RL28:      ; CALL OCCURS                     ; |297| 
	.line	40
           MVK     .S2     0x1,B4            ; |296| 
           MV      .L1X    B4,A12            ; |296| 
	.line	42
           B       .S1     L12               ; |298| 
           NOP             5
           ; BRANCH OCCURS                   ; |298| 
;** --------------------------------------------------------------------------*
L9:    
	.line	16
           B       .S1     _printf           ; |272| 
           NOP             1
           MVKL    .S2     SL12+0,B4         ; |272| 
           MVKL    .S2     RL30,B3           ; |272| 
           MVKH    .S2     SL12+0,B4         ; |272| 

           STW     .D2T2   B4,*+SP(4)        ; |272| 
||         MVKH    .S2     RL30,B3           ; |272| 

RL30:      ; CALL OCCURS                     ; |272| 
	.line	17
           MVKL    .S1     0x225b225b,A14    ; |273| 
           MVKH    .S1     0x225b225b,A14    ; |273| 
           CMPEQ   .L1     A13,A14,A1        ; |273| 
   [ A1]   B       .S1     L11               ; |273| 
           NOP             5
           ; BRANCH OCCURS                   ; |273| 
;** --------------------------------------------------------------------------*
	.line	23
           MVKL    .S1     0x22da22da,A0     ; |279| 
           MVKH    .S1     0x22da22da,A0     ; |279| 
           CMPEQ   .L1     A13,A0,A1         ; |279| 
   [ A1]   B       .S1     L10               ; |279| 
           NOP             5
           ; BRANCH OCCURS                   ; |279| 
;** --------------------------------------------------------------------------*
;***	; the preceding call never returns
	.line	30
           B       .S1     _printf           ; |286| 
           NOP             2
           MVKL    .S1     SL13+0,A0         ; |286| 

           MVKH    .S1     SL13+0,A0         ; |286| 
||         MVKL    .S2     RL32,B3           ; |286| 

           STW     .D2T1   A0,*+SP(4)        ; |286| 
||         MVKH    .S2     RL32,B3           ; |286| 

RL32:      ; CALL OCCURS                     ; |286| 
	.line	31
           B       .S1     _exit             ; |287| 
           NOP             3
           MVKL    .S2     RL34,B3           ; |287| 

           MVKH    .S2     RL34,B3           ; |287| 
||         MVK     .S1     0xffffffff,A4     ; |287| 

RL34:      ; CALL OCCURS                     ; |287| 
;** --------------------------------------------------------------------------*
L10:    
	.line	26
           B       .S1     _printf           ; |282| 
           NOP             2
           MVKL    .S1     SL14+0,A0         ; |282| 

           MVKH    .S1     SL14+0,A0         ; |282| 
||         MVKL    .S2     RL36,B3           ; |282| 

           STW     .D2T1   A0,*+SP(4)        ; |282| 
||         MVKH    .S2     RL36,B3           ; |282| 

RL36:      ; CALL OCCURS                     ; |282| 
	.line	25
           MVK     .S2     0x1,B10           ; |281| 
	.line	27
           B       .S1     L12               ; |283| 
           NOP             5
           ; BRANCH OCCURS                   ; |283| 
;** --------------------------------------------------------------------------*
L11:    
	.line	20
           B       .S1     _printf           ; |276| 
           NOP             2
           MVKL    .S1     SL15+0,A0         ; |276| 

           MVKH    .S1     SL15+0,A0         ; |276| 
||         MVKL    .S2     RL38,B3           ; |276| 

           STW     .D2T1   A0,*+SP(4)        ; |276| 
||         MVKH    .S2     RL38,B3           ; |276| 

RL38:      ; CALL OCCURS                     ; |276| 
	.line	19
           MVK     .S2     0x1,B4            ; |275| 
           MV      .L1X    B4,A12            ; |275| 
;** --------------------------------------------------------------------------*
L12:    
	.line	82
           MVKL    .S1     0x115554,A0       ; |338| 
           MVKH    .S1     0x115554,A0       ; |338| 
           ADD     .L1     A0,A11,A0         ; |338| 
           STW     .D1T1   A10,*A0           ; |338| 
	.line	84
           MV      .L1     A12,A1
   [!A1]   B       .S1     L13               ; |340| 
           NOP             5
           ; BRANCH OCCURS                   ; |340| 
;** --------------------------------------------------------------------------*
	.line	86
           B       .S1     _sector_erase_command ; |342| 
           NOP             3

           MVKL    .S1     0x42000,A4        ; |342| 
||         MVKL    .S2     RL40,B3           ; |342| 

           MVKH    .S1     0x42000,A4        ; |342| 
||         MVKH    .S2     RL40,B3           ; |342| 

RL40:      ; CALL OCCURS                     ; |342| 
	.line	87
           B       .S1     _printf           ; |343| 
           MVKL    .S1     0x42000,A7        ; |343| 
           MVKH    .S1     0x42000,A7        ; |343| 
           MVKL    .S1     SL16+0,A12        ; |343| 

           STW     .D2T1   A7,*+SP(8)        ; |343| 
||         MVKL    .S2     RL42,B3           ; |343| 
||         MVKH    .S1     SL16+0,A12        ; |343| 

           STW     .D2T1   A12,*+SP(4)       ; |343| 
||         MVKH    .S2     RL42,B3           ; |343| 

RL42:      ; CALL OCCURS                     ; |343| 
	.line	88
           MVKL    .S2     0x101554,B12      ; |344| 
           MVKH    .S2     0x101554,B12      ; |344| 
           ADD     .L1X    B12,A11,A0        ; |344| 
           STW     .D1T1   A10,*A0           ; |344| 
	.line	89
           B       .S1     _sector_erase_command ; |345| 
           NOP             3

           MVKL    .S2     RL44,B3           ; |345| 
||         MVKL    .S1     0x43000,A4        ; |345| 

           MVKH    .S2     RL44,B3           ; |345| 
||         MVKH    .S1     0x43000,A4        ; |345| 

RL44:      ; CALL OCCURS                     ; |345| 
	.line	90
           B       .S1     _printf           ; |346| 
           NOP             2
           MVKL    .S1     0x43000,A14       ; |346| 

           STW     .D2T1   A12,*+SP(4)       ; |346| 
||         MVKL    .S2     RL46,B3           ; |346| 
||         MVKH    .S1     0x43000,A14       ; |346| 

           STW     .D2T1   A14,*+SP(8)       ; |346| 
||         MVKH    .S2     RL46,B3           ; |346| 

RL46:      ; CALL OCCURS                     ; |346| 
	.line	91
           MVKL    .S2     0x101554,B11      ; |347| 
           MVKH    .S2     0x101554,B11      ; |347| 
           ADD     .L1X    B11,A11,A0        ; |347| 
           STW     .D1T1   A10,*A0           ; |347| 
	.line	92
           B       .S1     _sector_erase_command ; |348| 
           NOP             3

           MVKL    .S1     0x44000,A4        ; |348| 
||         MVKL    .S2     RL48,B3           ; |348| 

           MVKH    .S1     0x44000,A4        ; |348| 
||         MVKH    .S2     RL48,B3           ; |348| 

RL48:      ; CALL OCCURS                     ; |348| 
	.line	93
           B       .S1     _printf           ; |349| 
           NOP             2
           MVKL    .S1     0x44000,A13       ; |349| 

           STW     .D2T1   A12,*+SP(4)       ; |349| 
||         MVKL    .S2     RL50,B3           ; |349| 
||         MVKH    .S1     0x44000,A13       ; |349| 

           MVKH    .S2     RL50,B3           ; |349| 
||         STW     .D2T1   A13,*+SP(8)       ; |349| 

RL50:      ; CALL OCCURS                     ; |349| 
	.line	94
           MVKL    .S1     0x101554,A15      ; |350| 
           MVKH    .S1     0x101554,A15      ; |350| 
           ADD     .L1     A15,A11,A0        ; |350| 
           STW     .D1T1   A10,*A0           ; |350| 
;** --------------------------------------------------------------------------*
L13:    
	.line	96

           ZERO    .L1     A12               ; |352| 
||         MVK     .S1     8192,A14          ; |357| 

;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: invalid use of trip counter
;*----------------------------------------------------------------------------*
L14:    
	.line	98
           B       .S1     _sector_erase_command ; |354| 
           NOP             3
           MVKL    .S2     RL52,B3           ; |354| 

           MVKH    .S2     RL52,B3           ; |354| 
||         MV      .L1     A12,A4            ; |354| 

RL52:      ; CALL OCCURS                     ; |354| 
	.line	99
           B       .S1     _printf           ; |355| 
           NOP             1
           MVKL    .S2     SL16+0,B11        ; |355| 
           MVKH    .S2     SL16+0,B11        ; |355| 

           STW     .D2T1   A12,*+SP(8)       ; |355| 
||         MVKL    .S2     RL54,B3           ; |355| 

           STW     .D2T2   B11,*+SP(4)       ; |355| 
||         MVKH    .S2     RL54,B3           ; |355| 

RL54:      ; CALL OCCURS                     ; |355| 
	.line	100
           MVKL    .S1     0x101554,A13      ; |356| 
           MVKH    .S1     0x101554,A13      ; |356| 
           ADD     .L1     A13,A11,A0        ; |356| 
           STW     .D1T1   A10,*A0           ; |356| 
	.line	101
           ZERO    .L1     A0                ; |357| 

           MVKH    .S1     0x80000,A0        ; |357| 
||         ADDAW   .D1     A12,A14,A12       ; |357| 

           CMPLT   .L1     A12,A0,A1         ; |357| 
   [ A1]   B       .S1     L14               ; |357| 
           NOP             5
           ; BRANCH OCCURS                   ; |357| 
;** --------------------------------------------------------------------------*
	.line	102
           MV      .L1X    B10,A1
   [!A1]   B       .S1     L15               ; |358| 
           NOP             5
           ; BRANCH OCCURS                   ; |358| 
;** --------------------------------------------------------------------------*
	.line	104
           B       .S1     _sector_erase_command ; |360| 
           NOP             3

           MVKL    .S1     0x3c000,A4        ; |360| 
||         MVKL    .S2     RL56,B3           ; |360| 

           MVKH    .S1     0x3c000,A4        ; |360| 
||         MVKH    .S2     RL56,B3           ; |360| 

RL56:      ; CALL OCCURS                     ; |360| 
	.line	105
           B       .S1     _printf           ; |361| 
           MVKL    .S1     0x3c000,A7        ; |361| 
           MVKH    .S1     0x3c000,A7        ; |361| 
           MVKL    .S1     SL16+0,A12        ; |361| 

           STW     .D2T1   A7,*+SP(8)        ; |361| 
||         MVKL    .S2     RL58,B3           ; |361| 
||         MVKH    .S1     SL16+0,A12        ; |361| 

           STW     .D2T1   A12,*+SP(4)       ; |361| 
||         MVKH    .S2     RL58,B3           ; |361| 

RL58:      ; CALL OCCURS                     ; |361| 
	.line	106
           MVKL    .S2     0x101554,B10      ; |362| 
           MVKH    .S2     0x101554,B10      ; |362| 
           ADD     .L1X    B10,A11,A0        ; |362| 
           STW     .D1T1   A10,*A0           ; |362| 
	.line	107
           B       .S1     _sector_erase_command ; |363| 
           NOP             3

           MVKL    .S2     RL60,B3           ; |363| 
||         MVKL    .S1     0x3d000,A4        ; |363| 

           MVKH    .S2     RL60,B3           ; |363| 
||         MVKH    .S1     0x3d000,A4        ; |363| 

RL60:      ; CALL OCCURS                     ; |363| 
	.line	108
           B       .S1     _printf           ; |364| 
           NOP             2
           MVKL    .S1     0x3d000,A14       ; |364| 

           STW     .D2T1   A12,*+SP(4)       ; |364| 
||         MVKL    .S2     RL62,B3           ; |364| 
||         MVKH    .S1     0x3d000,A14       ; |364| 

           STW     .D2T1   A14,*+SP(8)       ; |364| 
||         MVKH    .S2     RL62,B3           ; |364| 

RL62:      ; CALL OCCURS                     ; |364| 
	.line	109
           MVKL    .S2     0x101554,B11      ; |365| 
           MVKH    .S2     0x101554,B11      ; |365| 
           ADD     .L1X    B11,A11,A0        ; |365| 
           STW     .D1T1   A10,*A0           ; |365| 
	.line	110
           B       .S1     _sector_erase_command ; |366| 
           NOP             3

           MVKL    .S1     0x3e000,A4        ; |366| 
||         MVKL    .S2     RL64,B3           ; |366| 

           MVKH    .S1     0x3e000,A4        ; |366| 
||         MVKH    .S2     RL64,B3           ; |366| 

RL64:      ; CALL OCCURS                     ; |366| 
	.line	111
           B       .S1     _printf           ; |367| 
           NOP             2
           MVKL    .S1     0x3e000,A13       ; |367| 

           STW     .D2T1   A12,*+SP(4)       ; |367| 
||         MVKL    .S2     RL66,B3           ; |367| 
||         MVKH    .S1     0x3e000,A13       ; |367| 

           MVKH    .S2     RL66,B3           ; |367| 
||         STW     .D2T1   A13,*+SP(8)       ; |367| 

RL66:      ; CALL OCCURS                     ; |367| 
	.line	112
           MVKL    .S1     0x101554,A15      ; |368| 
           MVKH    .S1     0x101554,A15      ; |368| 
           ADD     .L1     A15,A11,A0        ; |368| 
           STW     .D1T1   A10,*A0           ; |368| 
;** --------------------------------------------------------------------------*
L15:    
	.line	115
           LDW     .D2T2   *+SP(36),B3       ; |371| 
           LDW     .D2T2   *+SP(40),B10      ; |371| 
           LDW     .D2T1   *+SP(32),A15      ; |371| 
           LDW     .D2T1   *+SP(28),A14      ; |371| 
           LDW     .D2T1   *+SP(24),A13      ; |371| 
           LDW     .D2T1   *+SP(20),A12      ; |371| 
           LDW     .D2T1   *+SP(16),A11      ; |371| 
           LDW     .D2T1   *+SP(12),A10      ; |371| 

           B       .S2     B3                ; |371| 
||         LDW     .D2T2   *+SP(44),B11      ; |371| 

           LDW     .D2T2   *++SP(48),B12     ; |371| 
           NOP             4
           ; BRANCH OCCURS                   ; |371| 
	.endfunc	371,01c08fc00h,48


	.sect	".text"
	.global	_main
	.sym	_main,_main, 36, 2, 0
	.func	378

;******************************************************************************
;* FUNCTION NAME: _main                                                       *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,   *
;*                           A15,B0,B1,B2,B3,B4,B5,B6,B7,B8,B9,B10,B11,B12,SP *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,   *
;*                           A15,B0,B1,B2,B3,B4,B5,B6,B7,B8,B9,B10,B11,B12,DP,*
;*                           SP                                               *
;*   Local Frame Size  : 8 Args + 44 Auto + 40 Save = 92 byte                 *
;******************************************************************************
_main:
;** --------------------------------------------------------------------------*
	.sym	C$1,20, 28, 4, 32
	.sym	C$2,21, 14, 4, 32
	.sym	C$3,20, 30, 4, 32
	.sym	C$4,21, 14, 4, 32
	.sym	C$5,21, 4, 4, 32
	.sym	Y$0,1, 28, 4, 32
	.sym	Y$1,1, 24, 4, 32, _T0
	.sym	Y$2,1, 24, 4, 32, _T0
	.sym	W$1,20, 20, 4, 32
	.sym	W$2,0, 20, 4, 32
	.sym	Q$4,11, 30, 4, 32
	.sym	Q$5,15, 4, 4, 32
	.sym	K$34,26, 4, 4, 32
	.sym	K$42,20, 4, 4, 32
	.sym	K$77,0, 4, 4, 32
	.sym	K$80,12, 14, 4, 32
	.sym	K$84,13, 14, 4, 32
	.sym	K$88,14, 14, 4, 32
	.sym	K$94,26, 4, 4, 32
	.sym	_flash,27, 30, 4, 32
	.sym	_word_data,28, 4, 4, 32
	.sym	_dunno,1, 18, 4, 32
	.sym	_dunno,1, 18, 4, 32
	.sym	_i,12, 4, 1, 32
	.sym	_tempa,16, 4, 1, 32
	.sym	_tempb,20, 4, 1, 32
	.sym	_coff_filename,24, 50, 1, 240,, 30
           STW     .D2T2   B12,*SP--(96)     ; |378| 
           STW     .D2T1   A10,*+SP(60)      ; |378| 
           STW     .D2T1   A11,*+SP(64)      ; |378| 
           STW     .D2T1   A12,*+SP(68)      ; |378| 
           STW     .D2T1   A13,*+SP(72)      ; |378| 
           STW     .D2T1   A14,*+SP(76)      ; |378| 
           STW     .D2T1   A15,*+SP(80)      ; |378| 
           STW     .D2T2   B3,*+SP(84)       ; |378| 
           STW     .D2T2   B10,*+SP(88)      ; |378| 
           STW     .D2T2   B11,*+SP(92)      ; |378| 
	.line	21
           ZERO    .L2     B5                ; |398| 
           MVC     .S2     B5,AMR            ; |398| 
	.line	24
           ZERO    .L1     A0                ; |401| 

           MVK     .S2     12536,B5          ; |401| 
||         MVKH    .S1     0x1800000,A0      ; |401| 

           STW     .D1T2   B5,*A0            ; |401| 
	.line	25
           MVK     .S2     0x30,B5           ; |402| 
           STW     .D1T2   B5,*+A0(8)        ; |402| 
	.line	26
           MVKL    .S2     0x62701920,B6     ; |403| 
           MVKH    .S2     0x62701920,B6     ; |403| 
           STW     .D1T2   B6,*+A0(4)        ; |403| 
	.line	27
           STW     .D1T2   B5,*+A0(16)       ; |404| 
	.line	28
           MVKL    .S2     0x1800014,B4      ; |405| 

           MVK     .S1     64,A0             ; |405| 
||         MVKH    .S2     0x1800014,B4      ; |405| 

           STW     .D2T1   A0,*B4            ; |405| 
	.line	29
           MVKL    .S2     0x7114000,B7      ; |406| 
           MVKH    .S2     0x7114000,B7      ; |406| 
           STW     .D2T2   B7,*+B4(4)        ; |406| 
	.line	30
           MVK     .S1     1031,A0           ; |407| 
           STW     .D2T1   A0,*+B4(8)        ; |407| 
	.line	32
           B       .S1     _malloc           ; |409| 
           NOP             3

           MVKL    .S2     RL68,B3           ; |409| 
||         ZERO    .L1     A4                ; |409| 

           MVKH    .S2     RL68,B3           ; |409| 
||         MVKH    .S1     0x80000,A4        ; |409| 

RL68:      ; CALL OCCURS                     ; |409| 
           MV      .L1     A4,A1             ; 
           STW     .D2T1   A1,*+DP(_boot_array) ; |409| 
	.line	33
   [ A1]   B       .S1     L16               ; |410| 
           NOP             5
           ; BRANCH OCCURS                   ; |410| 
;** --------------------------------------------------------------------------*
;***	; the preceding call never returns
	.line	35
           B       .S1     _printf           ; |412| 
           NOP             2
           MVKL    .S1     SL17+0,A0         ; |412| 

           MVKH    .S1     SL17+0,A0         ; |412| 
||         MVKL    .S2     RL70,B3           ; |412| 

           STW     .D2T1   A0,*+SP(4)        ; |412| 
||         MVKH    .S2     RL70,B3           ; |412| 

RL70:      ; CALL OCCURS                     ; |412| 
	.line	36
           B       .S1     _exit             ; |413| 
           NOP             3
           MVKL    .S2     RL72,B3           ; |413| 

           MVKH    .S2     RL72,B3           ; |413| 
||         MVK     .S1     0xffffffff,A4     ; |413| 

RL72:      ; CALL OCCURS                     ; |413| 
;** --------------------------------------------------------------------------*
L16:    
	.line	39
           ZERO    .L2     B4                ; |416| 
           STW     .D2T2   B4,*+SP(12)       ; |416| 
           LDW     .D2T2   *+SP(12),B4       ; |416| 
           NOP             2
           ZERO    .L2     B10               ; |416| 
           MVKH    .S2     0x80000,B10       ; |416| 
           CMPLT   .L2     B4,B10,B0         ; |416| 
   [!B0]   B       .S1     L18               ; |416| 
           NOP             5
           ; BRANCH OCCURS                   ; |416| 
;** --------------------------------------------------------------------------*
           MVK     .S2     0xff,B4           ; |377| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: unknown trip counter variable
;*----------------------------------------------------------------------------*
L17:    
	.line	41
           LDW     .D2T2   *+DP(_boot_array),B6 ; |418| 
           LDW     .D2T2   *+SP(12),B5       ; |418| 
           NOP             4
           STB     .D2T2   B4,*+B5[B6]       ; |418| 
	.line	42
           LDW     .D2T2   *+SP(12),B5       ; |419| 
           NOP             4
           ADD     .L2     1,B5,B5           ; |419| 
           STW     .D2T2   B5,*+SP(12)       ; |419| 
           LDW     .D2T2   *+SP(12),B5       ; |419| 
           NOP             2
           ZERO    .L1     A0                ; |419| 
           MVKH    .S1     0x80000,A0        ; |419| 
           CMPLT   .L1X    B5,A0,A1          ; |419| 
   [ A1]   B       .S1     L17               ; |419| 
           NOP             5
           ; BRANCH OCCURS                   ; |419| 
;** --------------------------------------------------------------------------*
L18:    
	.line	45
           B       .S1     _printf           ; |422| 
           NOP             2
           MVKL    .S1     SL18+0,A0         ; |422| 

           MVKH    .S1     SL18+0,A0         ; |422| 
||         MVKL    .S2     RL74,B3           ; |422| 

           STW     .D2T1   A0,*+SP(4)        ; |422| 
||         MVKH    .S2     RL74,B3           ; |422| 

RL74:      ; CALL OCCURS                     ; |422| 
	.line	46
           B       .S1     _gets             ; |423| 
           NOP             3

           MVKL    .S2     RL76,B3           ; |423| 
||         ADDAW   .D2     SP,6,B4           ; |423| 

           MV      .L1X    B4,A4             ; |423| 
||         MVKH    .S2     RL76,B3           ; |423| 

RL76:      ; CALL OCCURS                     ; |423| 
           MV      .L1     A4,A1             ; 
	.line	47
   [ A1]   B       .S1     L19               ; |424| 
           NOP             5
           ; BRANCH OCCURS                   ; |424| 
;** --------------------------------------------------------------------------*
;***	; the preceding call never returns
	.line	49
           B       .S1     _printf           ; |426| 
           NOP             2
           MVKL    .S1     SL19+0,A0         ; |426| 

           MVKH    .S1     SL19+0,A0         ; |426| 
||         MVKL    .S2     RL78,B3           ; |426| 

           STW     .D2T1   A0,*+SP(4)        ; |426| 
||         MVKH    .S2     RL78,B3           ; |426| 

RL78:      ; CALL OCCURS                     ; |426| 
	.line	50
           B       .S1     _exit             ; |427| 
           NOP             3
           MVKL    .S2     RL80,B3           ; |427| 

           MVKH    .S2     RL80,B3           ; |427| 
||         MVK     .S1     0xffffffff,A4     ; |427| 

RL80:      ; CALL OCCURS                     ; |427| 
;** --------------------------------------------------------------------------*
L19:    
	.line	53
           B       .S1     _fopen            ; |430| 
           NOP             1
           MVKL    .S2     RL82,B3           ; |430| 
           MVKL    .S2     SL20+0,B4         ; |430| 

           MVKH    .S2     RL82,B3           ; |430| 
||         ADDAW   .D2     SP,6,B5           ; |430| 

           MVKH    .S2     SL20+0,B4         ; |430| 
||         MV      .L1X    B5,A4             ; |430| 

RL82:      ; CALL OCCURS                     ; |430| 
           MV      .L1     A4,A1             ; 
           STW     .D2T1   A1,*+DP(_fin)     ; |430| 
   [ A1]   B       .S1     L20               ; |430| 
           NOP             5
           ; BRANCH OCCURS                   ; |430| 
;** --------------------------------------------------------------------------*
;***	; the preceding call never returns
	.line	55
           B       .S1     _printf           ; |432| 
           NOP             2

           ADDAW   .D2     SP,6,B4           ; |432| 
||         MVKL    .S1     SL21+0,A0         ; |432| 

           STW     .D2T2   B4,*+SP(8)        ; |432| 
||         MVKH    .S1     SL21+0,A0         ; |432| 
||         MVKL    .S2     RL84,B3           ; |432| 

           STW     .D2T1   A0,*+SP(4)        ; |432| 
||         MVKH    .S2     RL84,B3           ; |432| 

RL84:      ; CALL OCCURS                     ; |432| 
	.line	56
           B       .S1     _exit             ; |433| 
           NOP             3
           MVKL    .S2     RL86,B3           ; |433| 

           MVKH    .S2     RL86,B3           ; |433| 
||         MVK     .S1     0x1,A4            ; |433| 

RL86:      ; CALL OCCURS                     ; |433| 
;** --------------------------------------------------------------------------*
L20:    
	.line	59
           MVK     .S2     1,B4              ; |436| 
           STW     .D2T2   B4,*+DP(_bootloader) ; |436| 
	.line	60
           B       .S1     _cload            ; |437| 
           NOP             3

           ADDAW   .D2     SP,6,B4           ; |437| 
||         MVKL    .S2     RL88,B3           ; |437| 

           MV      .L1X    B4,A4             ; |437| 
||         MVKH    .S2     RL88,B3           ; |437| 

RL88:      ; CALL OCCURS                     ; |437| 
	.line	62
           B       .S1     _fclose           ; |439| 
           LDW     .D2T1   *+DP(_fin),A4     ; |439| 
           NOP             2
           MVKL    .S2     RL90,B3           ; |439| 
           MVKH    .S2     RL90,B3           ; |439| 
RL90:      ; CALL OCCURS                     ; |439| 
	.line	66
           B       .S1     _printf           ; |443| 
           NOP             2
           MVKL    .S1     SL22+0,A10        ; |443| 

           MVKL    .S2     RL92,B3           ; |443| 
||         MVKH    .S1     SL22+0,A10        ; |443| 

           STW     .D2T1   A10,*+SP(4)       ; |443| 
||         MVKH    .S2     RL92,B3           ; |443| 

RL92:      ; CALL OCCURS                     ; |443| 
	.line	67
           B       .S1     _gets             ; |444| 
           NOP             3

           MVKL    .S2     RL94,B3           ; |444| 
||         ADDAW   .D2     SP,6,B4           ; |444| 

           MV      .L1X    B4,A4             ; |444| 
||         MVKH    .S2     RL94,B3           ; |444| 

RL94:      ; CALL OCCURS                     ; |444| 
           MV      .L1     A4,A1             ; 
	.line	68
   [ A1]   B       .S1     L21               ; |445| 
           NOP             5
           ; BRANCH OCCURS                   ; |445| 
;** --------------------------------------------------------------------------*
;***	; the preceding call never returns
	.line	70
           B       .S1     _printf           ; |447| 
           NOP             2
           MVKL    .S1     SL19+0,A0         ; |447| 

           MVKH    .S1     SL19+0,A0         ; |447| 
||         MVKL    .S2     RL96,B3           ; |447| 

           STW     .D2T1   A0,*+SP(4)        ; |447| 
||         MVKH    .S2     RL96,B3           ; |447| 

RL96:      ; CALL OCCURS                     ; |447| 
	.line	71
           B       .S1     _exit             ; |448| 
           NOP             3
           MVKL    .S2     RL98,B3           ; |448| 

           MVKH    .S2     RL98,B3           ; |448| 
||         MVK     .S1     0xffffffff,A4     ; |448| 

RL98:      ; CALL OCCURS                     ; |448| 
;** --------------------------------------------------------------------------*
L21:    
	.line	75
           LDB     .D2T2   *+SP(24),B0       ; |452| 
           NOP             4
   [!B0]   B       .S1     L23               ; |452| 
           NOP             5
           ; BRANCH OCCURS                   ; |452| 
;** --------------------------------------------------------------------------*
	.line	77
           B       .S1     _fopen            ; |454| 
           NOP             1
           MVKL    .S2     RL100,B3          ; |454| 
           MVKL    .S2     SL20+0,B4         ; |454| 

           MVKH    .S2     RL100,B3          ; |454| 
||         ADDAW   .D2     SP,6,B5           ; |454| 

           MVKH    .S2     SL20+0,B4         ; |454| 
||         MV      .L1X    B5,A4             ; |454| 

RL100:     ; CALL OCCURS                     ; |454| 
           MV      .L1     A4,A1             ; 
           STW     .D2T1   A1,*+DP(_fin)     ; |454| 
   [ A1]   B       .S1     L22               ; |454| 
           NOP             5
           ; BRANCH OCCURS                   ; |454| 
;** --------------------------------------------------------------------------*
;***	; the preceding call never returns
	.line	79
           B       .S1     _printf           ; |456| 
           NOP             2

           ADDAW   .D2     SP,6,B4           ; |456| 
||         MVKL    .S1     SL21+0,A0         ; |456| 

           STW     .D2T2   B4,*+SP(8)        ; |456| 
||         MVKH    .S1     SL21+0,A0         ; |456| 
||         MVKL    .S2     RL102,B3          ; |456| 

           STW     .D2T1   A0,*+SP(4)        ; |456| 
||         MVKH    .S2     RL102,B3          ; |456| 

RL102:     ; CALL OCCURS                     ; |456| 
	.line	80
           B       .S1     _exit             ; |457| 
           NOP             3
           MVKL    .S2     RL104,B3          ; |457| 

           MVKH    .S2     RL104,B3          ; |457| 
||         MVK     .S1     0x1,A4            ; |457| 

RL104:     ; CALL OCCURS                     ; |457| 
;** --------------------------------------------------------------------------*
L22:    
	.line	83
           ZERO    .L1     A0                ; |460| 
           STW     .D2T1   A0,*+DP(_bootloader) ; |460| 
	.line	84
           B       .S1     _cload            ; |461| 
           NOP             3

           MVKL    .S2     RL106,B3          ; |461| 
||         ADDAW   .D2     SP,6,B4           ; |461| 

           MVKH    .S2     RL106,B3          ; |461| 
||         MV      .L1X    B4,A4             ; |461| 

RL106:     ; CALL OCCURS                     ; |461| 
	.line	86
           B       .S1     _fclose           ; |463| 
           LDW     .D2T1   *+DP(_fin),A4     ; |463| 
           NOP             2
           MVKL    .S2     RL108,B3          ; |463| 
           MVKH    .S2     RL108,B3          ; |463| 
RL108:     ; CALL OCCURS                     ; |463| 
	.line	89
           LDW     .D2T2   *+DP(_app),B4     ; |466| 
           NOP             4
           ADD     .L2     3,B4,B4           ; |466| 
           SHRU    .S2     B4,2,B4           ; |466| 
           STW     .D2T2   B4,*+SP(12)       ; |466| 
	.line	90
           LDW     .D2T2   *+DP(_boot_array),B4 ; |467| 
           LDW     .D2T2   *+SP(12),B6       ; |467| 
           NOP             4
           ADD     .L2     1,B6,B5           ; |467| 

           ZERO    .L2     B5                ; |467| 
||         STW     .D2T2   B5,*+SP(12)       ; |467| 

           STW     .D2T2   B5,*+B4[B6]       ; |467| 
	.line	91
           LDW     .D2T2   *+SP(12),B6       ; |468| 
           NOP             4

           ADD     .L2     1,B6,B7           ; |468| 
||         STW     .D2T2   B5,*+B4[B6]       ; |468| 

           STW     .D2T2   B7,*+SP(12)       ; |468| 
	.line	92
           LDW     .D2T2   *+SP(12),B5       ; |469| 
           NOP             4

           ADD     .L2     1,B5,B6           ; |469| 
||         MVKL    .S1     0xdeafd00f,A10    ; |469| 

           STW     .D2T2   B6,*+SP(12)       ; |469| 
||         MVKH    .S1     0xdeafd00f,A10    ; |469| 

           STW     .D2T1   A10,*+B4[B5]      ; |469| 
	.line	93
           LDW     .D2T2   *+SP(12),B6       ; |470| 
           LDW     .D2T2   *+DP(_entry_point),B5 ; |470| 
           NOP             4

           STW     .D2T2   B5,*+B4[B6]       ; |470| 
||         ADD     .L2     1,B6,B7           ; |470| 

           STW     .D2T2   B7,*+SP(12)       ; |470| 
	.line	94
           B       .S1     _printf           ; |471| 
           NOP             2
           MVKL    .S1     SL23+0,A11        ; |471| 

           STW     .D2T2   B5,*+SP(8)        ; |471| 
||         MVKL    .S2     RL110,B3          ; |471| 
||         MVKH    .S1     SL23+0,A11        ; |471| 

           STW     .D2T1   A11,*+SP(4)       ; |471| 
||         MVKH    .S2     RL110,B3          ; |471| 

RL110:     ; CALL OCCURS                     ; |471| 
;** --------------------------------------------------------------------------*
L23:    
	.line	3
           MVK     .S1     0xffffd555,A15    ; |380| 
	.line	100
           B       .S1     _InitFlash        ; |477| 
           NOP             2

           MVKL    .S2     RL112,B3          ; |477| 
||         ZERO    .L2     B11               ; |477| 

           MVKH    .S2     0x1400000,B11     ; |477| 

           MV      .L1X    B11,A4            ; |477| 
||         MVKH    .S2     RL112,B3          ; |477| 

RL112:     ; CALL OCCURS                     ; |477| 
	.line	102

           B       .S1     _printf           ; |479| 
||         LDW     .D2T2   *+DP(_top),B4     ; |479| 

           NOP             1
           MVKL    .S1     SL24+0,A10        ; |479| 
           MVKH    .S1     SL24+0,A10        ; |479| 

           STW     .D2T1   A10,*+SP(4)       ; |479| 
||         MVKL    .S2     RL114,B3          ; |479| 

           STW     .D2T2   B4,*+SP(8)        ; |479| 
||         MVKH    .S2     RL114,B3          ; |479| 

RL114:     ; CALL OCCURS                     ; |479| 
	.line	103
           ZERO    .L2     B4                ; |480| 
           STW     .D2T2   B4,*+SP(12)       ; |480| 
           LDW     .D2T2   *+SP(12),B4       ; |480| 
           NOP             4
           CMPLT   .L2     B4,B10,B0         ; |480| 
   [!B0]   B       .S1     L28               ; |480| 
           NOP             5
           ; BRANCH OCCURS                   ; |480| 
;** --------------------------------------------------------------------------*
           MVKL    .S1     0xaa00aa,A12      ; |377| 
           MVKH    .S1     0xaa00aa,A12      ; |377| 
           MVKL    .S1     0x550055,A13      ; |377| 
           MVKH    .S1     0x550055,A13      ; |377| 
           MVKL    .S1     0xa000a0,A14      ; |377| 
           MVKH    .S1     0xa000a0,A14      ; |377| 
           MVKL    .S2     0x800080,B10      ; |377| 
           MVKH    .S2     0x800080,B10      ; |377| 
	.line	3
           MVKL    .S1     0x1515554,A11     ; |380| 
           MVKH    .S1     0x1515554,A11     ; |380| 
;** --------------------------------------------------------------------------*
;**   BEGIN LOOP L24
;** --------------------------------------------------------------------------*
L24:    
	.line	105
           LDW     .D2T2   *+SP(12),B4       ; |482| 
           NOP             4
           EXTU    .S2     B4,21,21,B0       ; |482| 
   [ B0]   B       .S1     L25               ; |482| 
           NOP             5
           ; BRANCH OCCURS                   ; |482| 
;** --------------------------------------------------------------------------*
	.line	107

           B       .S1     _printf           ; |484| 
||         LDW     .D2T2   *+SP(12),B4       ; |484| 

           NOP             1
           MVKL    .S1     SL25+0,A10        ; |484| 
           MVKH    .S1     SL25+0,A10        ; |484| 

           STW     .D2T1   A10,*+SP(4)       ; |484| 
||         MVKL    .S2     RL116,B3          ; |484| 

           STW     .D2T2   B4,*+SP(8)        ; |484| 
||         MVKH    .S2     RL116,B3          ; |484| 

RL116:     ; CALL OCCURS                     ; |484| 
;** --------------------------------------------------------------------------*
L25:    
	.line	109
           STW     .D1T1   A12,*A11          ; |486| 
	.line	110
           B       .S1     _wait_100         ; |487| 
           NOP             3
           MVKL    .S2     RL118,B3          ; |487| 
           MVKH    .S2     RL118,B3          ; |487| 
RL118:     ; CALL OCCURS                     ; |487| 
	.line	111
           STW     .D1T1   A13,*+A11[A15]    ; |488| 
	.line	112
           B       .S1     _wait_100         ; |489| 
           NOP             3
           MVKL    .S2     RL120,B3          ; |489| 
           MVKH    .S2     RL120,B3          ; |489| 
RL120:     ; CALL OCCURS                     ; |489| 
	.line	113
           STW     .D1T1   A14,*A11          ; |490| 
	.line	114
           B       .S1     _wait_100         ; |491| 
           NOP             3
           MVKL    .S2     RL122,B3          ; |491| 
           MVKH    .S2     RL122,B3          ; |491| 
RL122:     ; CALL OCCURS                     ; |491| 
	.line	115
           LDW     .D2T2   *+DP(_boot_array),B4 ; |492| 
           LDW     .D2T2   *+SP(12),B5       ; |492| 
           LDW     .D2T2   *+SP(12),B6       ; |492| 
           LDW     .D2T2   *+SP(12),B8       ; |492| 
           NOP             1
           LDW     .D2T2   *+SP(12),B7       ; |492| 
           NOP             2

           LDBU    .D2T2   *+B6[B4],B8       ; |492| 
||         ADD     .L2     B4,B8,B6          ; |492| 
||         ADD     .S2     B4,B5,B5          ; |492| 

           LDBU    .D2T2   *+B5(1),B5        ; |492| 

           LDBU    .D2T2   *+B6(2),B4        ; |492| 
||         ADD     .L2     B4,B7,B6          ; |492| 

           LDBU    .D2T2   *+B6(3),B6        ; |492| 
           NOP             2
           SHL     .S2     B5,8,B5           ; |492| 

           OR      .L2     B5,B8,B5          ; |492| 
||         SHL     .S2     B4,16,B4          ; |492| 

           SHL     .S2     B6,24,B5          ; |492| 
||         OR      .L2     B4,B5,B4          ; |492| 

           OR      .L2     B5,B4,B12         ; |492| 
	.line	117
           LDW     .D2T2   *+SP(12),B4       ; |494| 
           NOP             4
           AND     .L2     -4,B4,B4          ; |494| 
           ADD     .L2     B11,B4,B4         ; |494| 
           STW     .D2T2   B12,*B4           ; |494| 
	.line	118
           B       .S1     _wait_100         ; |495| 
           NOP             3
           MVKL    .S2     RL124,B3          ; |495| 
           MVKH    .S2     RL124,B3          ; |495| 
RL124:     ; CALL OCCURS                     ; |495| 
	.line	120
           LDW     .D2T2   *+SP(12),B4       ; |497| 
           NOP             4
           AND     .L1X    -4,B4,A0          ; |497| 
           ADD     .L1X    B11,A0,A0         ; |497| 
           LDW     .D1T1   *A0,A0            ; |497| 
           NOP             4
           AND     .L2X    B10,A0,B4         ; |497| 
           STW     .D2T2   B4,*+SP(16)       ; |497| 
	.line	121
   nop
	.line	122
   nop
	.line	123
   nop
	.line	124
   nop
	.line	126
           AND     .L2     B10,B12,B4        ; |503| 
           STW     .D2T2   B4,*+SP(20)       ; |503| 
	.line	128
           LDW     .D2T2   *+SP(20),B4       ; |505| 
           LDW     .D2T2   *+SP(16),B5       ; |505| 
           NOP             4
           CMPEQ   .L2     B5,B4,B0          ; |505| 
   [ B0]   B       .S1     L27               ; |505| 
           NOP             5
           ; BRANCH OCCURS                   ; |505| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: unknown trip counter variable
;*----------------------------------------------------------------------------*
L26:    
	.line	130
           LDW     .D2T2   *+SP(12),B4       ; |507| 
           NOP             4
           AND     .L2     -4,B4,B4          ; |507| 
           ADD     .L2     B11,B4,B4         ; |507| 
           LDW     .D2T2   *B4,B4            ; |507| 
           NOP             4
           AND     .L2     B10,B4,B4         ; |507| 
           STW     .D2T2   B4,*+SP(16)       ; |507| 
	.line	131
           LDW     .D2T2   *+SP(16),B5       ; |508| 
           LDW     .D2T2   *+SP(20),B4       ; |508| 
           NOP             4
           CMPEQ   .L2     B5,B4,B0          ; |508| 
   [!B0]   B       .S1     L26               ; |508| 
           NOP             5
           ; BRANCH OCCURS                   ; |508| 
;** --------------------------------------------------------------------------*
L27:    
	.line	133
           LDW     .D2T2   *+SP(12),B4       ; |510| 
           NOP             4
           ADD     .L2     4,B4,B4           ; |510| 
           STW     .D2T2   B4,*+SP(12)       ; |510| 
           LDW     .D2T2   *+SP(12),B4       ; |510| 
           NOP             2
           ZERO    .L1     A0                ; |510| 
           MVKH    .S1     0x80000,A0        ; |510| 
           CMPLT   .L1X    B4,A0,A1          ; |510| 
   [ A1]   B       .S1     L24               ; |510| 
           NOP             5
           ; BRANCH OCCURS                   ; |510| 
;** --------------------------------------------------------------------------*
L28:    
	.line	135
           B       .S1     _printf           ; |512| 
           NOP             2
           MVKL    .S1     SL26+0,A0         ; |512| 

           MVKH    .S1     SL26+0,A0         ; |512| 
||         MVKL    .S2     RL126,B3          ; |512| 

           STW     .D2T1   A0,*+SP(4)        ; |512| 
||         MVKH    .S2     RL126,B3          ; |512| 

RL126:     ; CALL OCCURS                     ; |512| 
	.line	136
           ZERO    .L1     A4                ; |513| 
           LDW     .D2T2   *+SP(88),B10      ; |513| 
           LDW     .D2T1   *+SP(80),A15      ; |513| 
           LDW     .D2T1   *+SP(76),A14      ; |513| 
           LDW     .D2T2   *+SP(84),B3       ; |513| 
           LDW     .D2T1   *+SP(72),A13      ; |513| 
           LDW     .D2T1   *+SP(68),A12      ; |513| 
           LDW     .D2T1   *+SP(64),A11      ; |513| 
           LDW     .D2T1   *+SP(60),A10      ; |513| 

           B       .S2     B3                ; |513| 
||         LDW     .D2T2   *+SP(92),B11      ; |513| 

           LDW     .D2T2   *++SP(96),B12     ; |513| 
           NOP             4
           ; BRANCH OCCURS                   ; |513| 
	.endfunc	513,01c08fc00h,96


	.sect	".text"
	.global	_wait_100
	.sym	_wait_100,_wait_100, 32, 2, 0
	.func	515

;******************************************************************************
;* FUNCTION NAME: _wait_100                                                   *
;*                                                                            *
;*   Regs Modified     :                                                      *
;*   Regs Used         : B3                                                   *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_wait_100:
;** --------------------------------------------------------------------------*
	.line	3
   nop
	.line	4
   nop
	.line	5
   nop
	.line	6
   nop
	.line	7
   nop
	.line	8
   nop
	.line	9
	.line	10
           B       .S2     B3                ; |524| 
           NOP             5
           ; BRANCH OCCURS                   ; |524| 
	.endfunc	524,000000000h,0


	.sect	".text"
	.global	_wait_20ms
	.sym	_wait_20ms,_wait_20ms, 32, 2, 0
	.func	526

;******************************************************************************
;* FUNCTION NAME: _wait_20ms                                                  *
;*                                                                            *
;*   Regs Modified     : B0                                                   *
;*   Regs Used         : B0,B3                                                *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_wait_20ms:
;** --------------------------------------------------------------------------*
	.sym	L$1,16, 4, 4, 32
	.line	4
           MVK     .S2     0x4e20,B0         ; |529| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: Bad loop structure
;*----------------------------------------------------------------------------*
L29:    
	.line	6
   nop
	.line	7
   nop
	.line	8
   nop
	.line	9
   nop
	.line	10
   nop
	.line	11
   nop
	.line	12
   nop
	.line	13
   nop
	.line	14
   nop
	.line	15
   nop
	.line	16
   nop
	.line	17
   nop
	.line	18
   nop
	.line	19
   nop
	.line	20
   nop
	.line	21
   nop
	.line	22
   nop
	.line	23
   nop
	.line	24
   nop
	.line	25
   nop
	.line	26
   nop
	.line	27
   nop
	.line	28
   nop
	.line	29
   nop
	.line	30
   nop
	.line	31
   nop
	.line	32
   nop
	.line	33
   nop
	.line	34
   nop
	.line	35
   nop
	.line	36
   nop
	.line	37
   nop
	.line	38
   nop
	.line	39
   nop
	.line	40
   nop
	.line	41
   nop
	.line	42
   nop
	.line	43
   nop
	.line	44
   nop
	.line	45
   nop
	.line	46
   nop
	.line	47
           SUB     .L2     B0,1,B0           ; |572| 
   [ B0]   B       .S1     L29               ; |572| 
           NOP             5
           ; BRANCH OCCURS                   ; |572| 
;** --------------------------------------------------------------------------*
	.line	49
           B       .S2     B3                ; |574| 
           NOP             5
           ; BRANCH OCCURS                   ; |574| 
	.endfunc	574,000000000h,0


	.sect	".text"
	.global	_getw
	.sym	_getw,_getw, 35, 2, 0
	.func	576

;******************************************************************************
;* FUNCTION NAME: _getw                                                       *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,B0,B1,B2,B3,B4,*
;*                           B5,B6,B7,B8,B9,SP                                *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,B0,B1,B2,B3,B4,*
;*                           B5,B6,B7,B8,B9,SP                                *
;*   Local Frame Size  : 0 Args + 0 Auto + 12 Save = 12 byte                  *
;******************************************************************************
_getw:
;** --------------------------------------------------------------------------*
	.sym	_fpr,4, 24, 17, 32, _T0
	.sym	_fpr,11, 24, 4, 32, _T0
	.sym	_data,10, 3, 4, 16
           STW     .D2T2   B3,*SP--(16)      ; |576| 
           STW     .D2T1   A10,*+SP(8)       ; |576| 
           STW     .D2T1   A11,*+SP(12)      ; |576| 
	.line	2
           MV      .L1     A4,A11            ; |577| 
	.line	4
           B       .S1     _getc             ; |579| 
           NOP             3
           MVKL    .S2     RL128,B3          ; |579| 
           MVKH    .S2     RL128,B3          ; |579| 
RL128:     ; CALL OCCURS                     ; |579| 
           EXTU    .S1     A4,24,24,A0       ; |579| 
           EXT     .S1     A0,16,16,A10      ; |579| 
	.line	5
           B       .S1     _getc             ; |580| 
           NOP             3
           MVKL    .S2     RL130,B3          ; |580| 

           MV      .L1     A11,A4            ; |580| 
||         MVKH    .S2     RL130,B3          ; |580| 

RL130:     ; CALL OCCURS                     ; |580| 
           EXTU    .S1     A4,24,16,A0       ; |580| 
           OR      .L1     A0,A10,A0         ; |580| 
           EXT     .S1     A0,16,16,A10      ; |580| 
	.line	6
	.line	7
           LDW     .D2T1   *+SP(12),A11      ; |582| 

           LDW     .D2T1   *+SP(8),A10       ; |582| 
||         MV      .L1     A10,A4            ; |582| 

           LDW     .D2T2   *++SP(16),B3      ; |582| 
           NOP             4
           B       .S2     B3                ; |582| 
           NOP             5
           ; BRANCH OCCURS                   ; |582| 
	.endfunc	582,000080c00h,16


	.sect	".text"
	.global	_mem_write
	.sym	_mem_write,_mem_write, 36, 2, 0
	.func	586

;******************************************************************************
;* FUNCTION NAME: _mem_write                                                  *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,B0,B1,B2,B3,B4,*
;*                           B5,B6,B7,B8,B9,B10,SP                            *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,B0,B1,B2,B3,B4,*
;*                           B5,B6,B7,B8,B9,B10,DP,SP                         *
;*   Local Frame Size  : 24 Args + 0 Auto + 16 Save = 40 byte                 *
;******************************************************************************
_mem_write:
;** --------------------------------------------------------------------------*
	.sym	_buf,4, 28, 17, 32
	.sym	_size,20, 4, 17, 32
	.sym	_address,6, 14, 17, 32
	.sym	_c,22, 4, 17, 32
	.sym	C$1,0, 14, 4, 32
	.sym	C$2,20, 30, 4, 32
	.sym	C$3,3, 14, 4, 32
	.sym	K$24,20, 14, 4, 32
	.sym	K$16,0, 4, 4, 32
	.sym	U$15,20, 14, 4, 32
	.sym	L$1,10, 4, 4, 32
	.sym	L$2,10, 4, 4, 32
	.sym	L$3,10, 4, 4, 32
	.sym	_address,26, 14, 4, 32
	.sym	_size,10, 4, 4, 32
	.sym	_buf,11, 28, 4, 32
	.sym	_address,26, 14, 4, 32
	.sym	U$8,20, 14, 4, 32
	.sym	U$42,11, 28, 4, 32
	.sym	_i,21, 4, 4, 32
	.sym	_i,0, 4, 4, 32
	.sym	_i,0, 4, 4, 32
           STW     .D2T2   B10,*SP--(40)     ; |586| 
           STW     .D2T1   A10,*+SP(28)      ; |586| 
           STW     .D2T1   A11,*+SP(32)      ; |586| 
           STW     .D2T2   B3,*+SP(36)       ; |586| 
	.line	2

           MV      .L2X    A6,B10            ; 
||         MV      .L1X    B4,A10            ; 
||         MV      .S1     A4,A11            ; 

	.line	5
           LDW     .D2T2   *+DP(_bootloader),B0 ; |590| 
           NOP             4
   [ B0]   B       .S1     L35               ; |590| 
           NOP             5
           ; BRANCH OCCURS                   ; |590| 
;** --------------------------------------------------------------------------*
	.line	28

           B       .S1     _printf           ; |613| 
||         LDW     .D2T2   *+DP(_app),B6     ; |613| 
||         MVKL    .S2     SL27+0,B4         ; |613| 

           STW     .D2T1   A10,*+SP(12)      ; |613| 
||         MVK     .S2     (_secname-$bss),B5 ; |613| 

           STW     .D2T2   B10,*+SP(16)      ; |613| 
||         MVKH    .S2     SL27+0,B4         ; |613| 

           STW     .D2T2   B4,*+SP(4)        ; |613| 
||         ADD     .L2     DP,B5,B5          ; |613| 

           STW     .D2T2   B5,*+SP(8)        ; |613| 
||         MVKL    .S2     RL132,B3          ; |613| 

           STW     .D2T2   B6,*+SP(20)       ; |613| 
||         MVKH    .S2     RL132,B3          ; |613| 

RL132:     ; CALL OCCURS                     ; |613| 
	.line	29
           LDW     .D2T1   *+DP(_app),A0     ; |614| 
           NOP             4

           ADD     .L1     A0,A10,A4         ; |614| 
||         ZERO    .S1     A3                ; |614| 

           ADD     .L2X    12,A4,B4          ; |614| 
||         MVKH    .S1     0x80000,A3        ; |614| 

           CMPGTU  .L2X    B4,A3,B0          ; |614| 
   [ B0]   B       .S1     L34               ; |614| 
           NOP             5
           ; BRANCH OCCURS                   ; |614| 
;** --------------------------------------------------------------------------*
	.line	36
           ADD     .L1     3,A0,A3           ; |621| 
           SHRU    .S2X    A3,2,B5           ; |621| 
	.line	37
           LDW     .D2T2   *+DP(_boot_array),B4 ; |622| 
           NOP             3
           AND     .L1     -4,A3,A3          ; |622| 
           ADD     .L2X    B4,A3,B6          ; |622| 
           STW     .D2T2   B10,*B6           ; |622| 
	.line	38
           ADD     .L2     1,B5,B5           ; |623| 
           STW     .D2T1   A10,*+B4[B5]      ; |623| 
	.line	39
           MVKL    .S1     0xdeafd00f,A4     ; |624| 

           ADD     .L2     1,B5,B5           ; |624| 
||         MVKH    .S1     0xdeafd00f,A4     ; |624| 

           STW     .D2T1   A4,*+B4[B5]       ; |624| 
	.line	40
           ADD     .L2X    12,A0,B4          ; |625| 
           STW     .D2T2   B4,*+DP(_app)     ; |625| 
	.line	41
           CMPGT   .L1     A10,0,A1          ; |626| 
   [!A1]   B       .S1     L33               ; |626| 
           NOP             5
           ; BRANCH OCCURS                   ; |626| 
;** --------------------------------------------------------------------------*

           MVC     .S2     CSR,B5
||         MV      .L1     A10,A1
||         MV      .S1X    B4,A5
||         MV      .D1     A11,A0

           AND     .L2     -2,B5,B4

           MVC     .S2     B4,CSR
||         ADD     .L1     1,A1,A1
||         MVK     .S1     0x1,A2            ; init prolog collapse predicate

;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Known Minimum Trip Count         : 1
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 13
;*      Unpartitioned Resource Bound     : 3
;*      Partitioned Resource Bound(*)    : 3
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     1        0     
;*      .D units                     2        3*    
;*      .M units                     0        0     
;*      .X cross paths               2        0     
;*      .T address paths             2        3*    
;*      Long read paths              1        1     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           2        0     (.L or .S unit)
;*      Addition ops (.LSD)          1        1     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             2        0     
;*      Bound(.L .S .D .LS .LSD)     2        2     
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 13 Schedule found with 2 iterations in parallel
;*      Done
;*
;*      Speculative Load Threshold  : 0
;*      Collapsed Epilog Stages     : 1
;*      Collapsed Prolog Stages     : 1
;*
;*----------------------------------------------------------------------------*
L30:    ; PIPED LOOP PROLOG
;** --------------------------------------------------------------------------*
L31:    ; PIPED LOOP KERNEL
   [!A2]   LDBU    .D1T1   *A0++,A4          ;  ^ |626| 
           NOP             3
           MV      .L1X    B4,A3             ; Define a twin register
   [!A2]   STB     .D1T1   A4,*+A3[A5]       ;  ^ |626| 

   [ A1]   SUB     .L1     A1,1,A1           ; |626| 
|| [!A2]   LDW     .D2T2   *+DP(_app),B4     ;  ^ |626| 

   [ A1]   B       .S1     L31               ; |626| 
           NOP             3

           ADD     .L2     1,B4,B4           ;  ^ |626| 
||         LDW     .D2T2   *+DP(_boot_array),B4 ; @|626| 

   [ A2]   SUB     .S1     A2,1,A2           ; 
|| [!A2]   MV      .L1X    B4,A5             ; Define a twin register
|| [!A2]   STW     .D2T2   B4,*+DP(_app)     ;  ^ |626| 

;** --------------------------------------------------------------------------*
L32:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
           NOP             3

           MV      .L2X    A5,B4
||         MVC     .S2     B5,CSR

;** --------------------------------------------------------------------------*
L33:    
	.line	42

           MVK     .S2     0xfffffffc,B4     ; |627| 
||         ADD     .L2     3,B4,B5           ; |627| 

           AND     .L2     B4,B5,B4          ; |627| 
           STW     .D2T2   B4,*+DP(_app)     ; |627| 
	.line	43
           B       .S1     L47               ; |628| 
           NOP             4
           MVK     .S1     0x1,A4            ; |628| 
           ; BRANCH OCCURS                   ; |628| 
;** --------------------------------------------------------------------------*
L34:    
;***	; the preceding call never returns
	.line	31
           B       .S1     _printf           ; |616| 
           NOP             1
           MVKL    .S1     SL28+0,A3         ; |616| 

           STW     .D2T2   B4,*+SP(8)        ; |616| 
||         MVKH    .S1     SL28+0,A3         ; |616| 
||         ZERO    .L1     A0                ; |616| 

           STW     .D2T1   A3,*+SP(4)        ; |616| 
||         MVKH    .S1     0x80000,A0        ; |616| 
||         MVKL    .S2     RL134,B3          ; |616| 

           STW     .D2T1   A0,*+SP(12)       ; |616| 
||         MVKH    .S2     RL134,B3          ; |616| 

RL134:     ; CALL OCCURS                     ; |616| 
	.line	32
           B       .S1     _exit             ; |617| 
           NOP             3
           MVKL    .S2     RL136,B3          ; |617| 

           MVKH    .S2     RL136,B3          ; |617| 
||         MVK     .S1     0xffffffff,A4     ; |617| 

RL136:     ; CALL OCCURS                     ; |617| 
;** --------------------------------------------------------------------------*
L35:    
	.line	7
           B       .S1     _printf           ; |592| 
           MVKL    .S2     SL29+0,B4         ; |592| 

           STW     .D2T1   A10,*+SP(12)      ; |592| 
||         MVK     .S2     (_secname-$bss),B5 ; |592| 

           STW     .D2T2   B10,*+SP(16)      ; |592| 
||         MVKH    .S2     SL29+0,B4         ; |592| 

           STW     .D2T2   B4,*+SP(4)        ; |592| 
||         ADD     .L2     DP,B5,B5          ; |592| 
||         MVKL    .S2     RL138,B3          ; |592| 

           STW     .D2T2   B5,*+SP(8)        ; |592| 
||         MVKH    .S2     RL138,B3          ; |592| 

RL138:     ; CALL OCCURS                     ; |592| 
	.line	9
           ZERO    .L1     A0                ; |594| 
           MVKH    .S1     0x10000,A0        ; |594| 
           CMPGTU  .L2X    B10,A0,B0         ; |594| 
   [!B0]   B       .S1     L41               ; |594| 
           NOP             5
           ; BRANCH OCCURS                   ; |594| 
;** --------------------------------------------------------------------------*
	.line	15
           ZERO    .L1     A3                ; |600| 

           MVKH    .S1     0x1400000,A3      ; |600| 
||         ZERO    .L1     A0                ; |600| 

           CMPLTU  .L2X    B10,A3,B4         ; |600| 
||         MVKH    .S1     0x1480000,A0      ; |600| 

           CMPLTU  .L2X    B10,A0,B4         ; |600| 
||         XOR     .S2     1,B4,B5           ; |600| 

           AND     .L2     B4,B5,B0          ; |600| 
   [ B0]   B       .S1     L36               ; |600| 
           NOP             5
           ; BRANCH OCCURS                   ; |600| 
;** --------------------------------------------------------------------------*
	.line	23
           B       .S1     _printf           ; |608| 
           NOP             2
           MVKL    .S1     SL30+0,A0         ; |608| 

           MVKH    .S1     SL30+0,A0         ; |608| 
||         MVKL    .S2     RL140,B3          ; |608| 

           STW     .D2T1   A0,*+SP(4)        ; |608| 
||         MVKH    .S2     RL140,B3          ; |608| 

RL140:     ; CALL OCCURS                     ; |608| 
           B       .S1     L47               ; |608| 
           NOP             4
           MVK     .S1     0x1,A4            ; |608| 
           ; BRANCH OCCURS                   ; |608| 
;** --------------------------------------------------------------------------*
L36:    
	.line	17
           ZERO    .L1     A0                ; |602| 
           MVKH    .S1     0x1400000,A0      ; |602| 
           SUB     .L2X    B10,A0,B10        ; |602| 
	.line	18
           CMPGT   .L1     A10,0,A1          ; |603| 
   [!A1]   B       .S1     L40               ; |603| 
           NOP             5
           ; BRANCH OCCURS                   ; |603| 
;** --------------------------------------------------------------------------*
	.line	18

           MVC     .S2     CSR,B7
||         MV      .L1     A10,A1
||         MV      .S1     A11,A3
||         MV      .L2     B10,B6
||         ZERO    .D1     A0                ; |603| 

           AND     .L2     -2,B7,B4
           MVC     .S2     B4,CSR
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Known Minimum Trip Count         : 1
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 6
;*      Unpartitioned Resource Bound     : 2
;*      Partitioned Resource Bound(*)    : 2
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     1        0     
;*      .D units                     1        2*    
;*      .M units                     0        0     
;*      .X cross paths               0        1     
;*      .T address paths             2*       1     
;*      Long read paths              1        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           0        1     (.L or .S unit)
;*      Addition ops (.LSD)          2        0     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             1        1     
;*      Bound(.L .S .D .LS .LSD)     2*       1     
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 6  Schedule found with 2 iterations in parallel
;*      Done
;*
;*      Speculative Load Threshold  : Unknown
;*      Collapsed Epilog Stages     : 1
;*      Collapsed Prolog Stages     : 0
;*
;*----------------------------------------------------------------------------*
L37:    ; PIPED LOOP PROLOG
   [ A1]   SUB     .L1     A1,1,A1           ; |603| 
;** --------------------------------------------------------------------------*
L38:    ; PIPED LOOP KERNEL

           ADD     .L2X    B6,A0,B5          ; |603| 
||         LDBU    .D1T1   *+A0[A3],A4       ;  ^ |603| 
||         LDW     .D2T2   *+DP(_boot_array),B4 ;  ^ |603| 
|| [ A1]   B       .S1     L38               ; |603| 

           NOP             4

           ADD     .S1     1,A0,A0           ; |603| 
||         STB     .D2T1   A4,*+B5[B4]       ;  ^ |603| 
|| [ A1]   SUB     .L1     A1,1,A1           ; @|603| 

;** --------------------------------------------------------------------------*
L39:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*

           MV      .L2     B6,B10
||         MVC     .S2     B7,CSR

;** --------------------------------------------------------------------------*
L40:    
	.line	19
           LDW     .D2T2   *+DP(_top),B4     ; |604| 
           NOP             4
           CMPGTU  .L2     B10,B4,B0         ; |604| 
   [!B0]   B       .S1     L46               ; |604| 
           NOP             5
           ; BRANCH OCCURS                   ; |604| 
;** --------------------------------------------------------------------------*
           STW     .D2T2   B10,*+DP(_top)    ; |604| 
           B       .S1     L47               ; |604| 
           NOP             4
           MVK     .S1     0x1,A4            ; |604| 
           ; BRANCH OCCURS                   ; |604| 
;** --------------------------------------------------------------------------*
L41:    
	.line	11
           CMPGT   .L1     A10,0,A1          ; |596| 
   [!A1]   B       .S1     L45               ; |596| 
           NOP             5
           ; BRANCH OCCURS                   ; |596| 
;** --------------------------------------------------------------------------*
	.line	11

           MVC     .S2     CSR,B7
||         MV      .L1     A10,A1
||         MV      .S1     A11,A3
||         MV      .L2     B10,B6
||         ZERO    .D1     A0                ; |596| 

           AND     .L2     -2,B7,B4
           MVC     .S2     B4,CSR
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Known Minimum Trip Count         : 1
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 6
;*      Unpartitioned Resource Bound     : 2
;*      Partitioned Resource Bound(*)    : 2
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     1        0     
;*      .D units                     1        2*    
;*      .M units                     0        0     
;*      .X cross paths               0        1     
;*      .T address paths             2*       1     
;*      Long read paths              1        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           0        1     (.L or .S unit)
;*      Addition ops (.LSD)          2        0     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             1        1     
;*      Bound(.L .S .D .LS .LSD)     2*       1     
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 6  Schedule found with 2 iterations in parallel
;*      Done
;*
;*      Speculative Load Threshold  : Unknown
;*      Collapsed Epilog Stages     : 1
;*      Collapsed Prolog Stages     : 0
;*
;*----------------------------------------------------------------------------*
L42:    ; PIPED LOOP PROLOG
   [ A1]   SUB     .L1     A1,1,A1           ; |596| 
;** --------------------------------------------------------------------------*
L43:    ; PIPED LOOP KERNEL

           ADD     .L2X    B6,A0,B5          ; |596| 
||         LDBU    .D1T1   *+A0[A3],A4       ;  ^ |596| 
||         LDW     .D2T2   *+DP(_boot_array),B4 ;  ^ |596| 
|| [ A1]   B       .S1     L43               ; |596| 

           NOP             4

           ADD     .S1     1,A0,A0           ; |596| 
||         STB     .D2T1   A4,*+B5[B4]       ;  ^ |596| 
|| [ A1]   SUB     .L1     A1,1,A1           ; @|596| 

;** --------------------------------------------------------------------------*
L44:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*

           MV      .L2     B6,B10
||         MVC     .S2     B7,CSR

;** --------------------------------------------------------------------------*
L45:    
	.line	12
           LDW     .D2T2   *+DP(_top),B4     ; |597| 
           NOP             4
           CMPGTU  .L2     B10,B4,B0         ; |597| 
   [ B0]   STW     .D2T2   B10,*+DP(_top)    ; |597| 
;** --------------------------------------------------------------------------*
L46:    
	.line	47
           MVK     .S1     0x1,A4            ; |632| 
;** --------------------------------------------------------------------------*
L47:    
	.line	48
           LDW     .D2T2   *+SP(36),B3       ; |633| 
           NOP             3
           LDW     .D2T1   *+SP(28),A10      ; |633| 

           B       .S2     B3                ; |633| 
||         LDW     .D2T1   *+SP(32),A11      ; |633| 

           LDW     .D2T2   *++SP(40),B10     ; |633| 
           NOP             4
           ; BRANCH OCCURS                   ; |633| 
	.endfunc	633,004080c00h,40


	.sect	".text"
	.global	_set_reloc_amount
	.sym	_set_reloc_amount,_set_reloc_amount, 36, 2, 0
	.func	635

;******************************************************************************
;* FUNCTION NAME: _set_reloc_amount                                           *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Local Frame Size  : 8 Args + 0 Auto + 4 Save = 12 byte                   *
;******************************************************************************
_set_reloc_amount:
;** --------------------------------------------------------------------------*
           STW     .D2T2   B3,*SP--(16)      ; |635| 
	.line	3
           B       .S1     _printf           ; |637| 
           NOP             2
           MVKL    .S1     SL31+0,A0         ; |637| 

           MVKH    .S1     SL31+0,A0         ; |637| 
||         MVKL    .S2     RL142,B3          ; |637| 

           STW     .D2T1   A0,*+SP(4)        ; |637| 
||         MVKH    .S2     RL142,B3          ; |637| 

RL142:     ; CALL OCCURS                     ; |637| 
	.line	4
           MVK     .S1     0x1,A4            ; |638| 
	.line	5
           LDW     .D2T2   *++SP(16),B3      ; |639| 
           NOP             4
           B       .S2     B3                ; |639| 
           NOP             5
           ; BRANCH OCCURS                   ; |639| 
	.endfunc	639,000080000h,16


	.sect	".text"
	.global	_lookup_sym
	.sym	_lookup_sym,_lookup_sym, 32, 2, 0
	.func	641

;******************************************************************************
;* FUNCTION NAME: _lookup_sym                                                 *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Local Frame Size  : 24 Args + 0 Auto + 4 Save = 28 byte                  *
;******************************************************************************
_lookup_sym:
;** --------------------------------------------------------------------------*
	.sym	_indx,4, 5, 17, 40
	.sym	_sym,20, 16, 17, 32
	.sym	_aux,6, 16, 17, 32
	.sym	_aux,6, 16, 4, 32
	.sym	_sym,20, 16, 4, 32
	.sym	_indx,4, 5, 4, 40
           STW     .D2T2   B3,*SP--(32)      ; |641| 
	.line	2
	.line	3
           B       .S1     _printf           ; |643| 
           STW     .D2T1   A4,*+SP(8)        ; |643| 
           STW     .D2T1   A5,*+SP(12)       ; |643| 

           STW     .D2T2   B4,*+SP(16)       ; |643| 
||         MVKL    .S1     SL32+0,A0         ; |643| 

           STW     .D2T1   A6,*+SP(20)       ; |643| 
||         MVKH    .S1     SL32+0,A0         ; |643| 
||         MVKL    .S2     RL144,B3          ; |643| 

           STW     .D2T1   A0,*+SP(4)        ; |643| 
||         MVKH    .S2     RL144,B3          ; |643| 

RL144:     ; CALL OCCURS                     ; |643| 
	.line	4
           LDW     .D2T2   *++SP(32),B3      ; |644| 
           NOP             4
           B       .S2     B3                ; |644| 
           NOP             5
           ; BRANCH OCCURS                   ; |644| 
	.endfunc	644,000080000h,32


	.sect	".text"
	.global	_load_syms
	.sym	_load_syms,_load_syms, 36, 2, 0
	.func	646

;******************************************************************************
;* FUNCTION NAME: _load_syms                                                  *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Local Frame Size  : 8 Args + 0 Auto + 4 Save = 12 byte                   *
;******************************************************************************
_load_syms:
;** --------------------------------------------------------------------------*
	.sym	_need_reloc,4, 4, 17, 32
	.sym	_need_reloc,4, 4, 4, 32
           STW     .D2T2   B3,*SP--(16)      ; |646| 
	.line	2
	.line	3
           B       .S1     _printf           ; |648| 
           NOP             2
           MVKL    .S1     SL33+0,A0         ; |648| 

           STW     .D2T1   A4,*+SP(8)        ; |648| 
||         MVKH    .S1     SL33+0,A0         ; |648| 
||         MVKL    .S2     RL146,B3          ; |648| 

           STW     .D2T1   A0,*+SP(4)        ; |648| 
||         MVKH    .S2     RL146,B3          ; |648| 

RL146:     ; CALL OCCURS                     ; |648| 
	.line	4
           ZERO    .L1     A4                ; |649| 
	.line	5
           LDW     .D2T2   *++SP(16),B3      ; |650| 
           NOP             4
           B       .S2     B3                ; |650| 
           NOP             5
           ; BRANCH OCCURS                   ; |650| 
	.endfunc	650,000080000h,16


	.sect	".text"
	.global	_myalloc
	.sym	_myalloc,_myalloc, 96, 2, 0
	.func	652

;******************************************************************************
;* FUNCTION NAME: _myalloc                                                    *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                    *
;******************************************************************************
_myalloc:
;** --------------------------------------------------------------------------*
	.sym	_size,4, 14, 17, 32
	.sym	_size,0, 14, 4, 32
           STW     .D2T2   B3,*SP--(8)       ; |652| 
	.line	2
	.line	3
           B       .S1     _malloc           ; |654| 
           NOP             3
           MVKL    .S2     RL148,B3          ; |654| 
           MVKH    .S2     RL148,B3          ; |654| 
RL148:     ; CALL OCCURS                     ; |654| 
	.line	4
           LDW     .D2T2   *++SP(8),B3       ; |655| 
           NOP             4
           B       .S2     B3                ; |655| 
           NOP             5
           ; BRANCH OCCURS                   ; |655| 
	.endfunc	655,000080000h,8


	.sect	".text"
	.global	_mralloc
	.sym	_mralloc,_mralloc, 96, 2, 0
	.func	657

;******************************************************************************
;* FUNCTION NAME: _mralloc                                                    *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                    *
;******************************************************************************
_mralloc:
;** --------------------------------------------------------------------------*
	.sym	_p,4, 16, 17, 32
	.sym	_size,20, 14, 17, 32
	.sym	_size,20, 14, 4, 32
	.sym	_p,0, 16, 4, 32
           STW     .D2T2   B3,*SP--(8)       ; |657| 
	.line	2
	.line	3
           B       .S1     _realloc          ; |659| 
           NOP             3
           MVKL    .S2     RL150,B3          ; |659| 
           MVKH    .S2     RL150,B3          ; |659| 
RL150:     ; CALL OCCURS                     ; |659| 
	.line	4
           LDW     .D2T2   *++SP(8),B3       ; |660| 
           NOP             4
           B       .S2     B3                ; |660| 
           NOP             5
           ; BRANCH OCCURS                   ; |660| 
	.endfunc	660,000080000h,8


	.sect	".text"
	.global	_load_msg
	.sym	_load_msg,_load_msg, 32, 2, 0
	.func	662

;******************************************************************************
;* FUNCTION NAME: _load_msg                                                   *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Local Frame Size  : 8 Args + 0 Auto + 4 Save = 12 byte                   *
;******************************************************************************
_load_msg:
;** --------------------------------------------------------------------------*
           STW     .D2T2   B3,*SP--(16)      ; |662| 
	.line	3
           B       .S1     _printf           ; |664| 
           NOP             2
           MVKL    .S1     SL34+0,A0         ; |664| 

           MVKH    .S1     SL34+0,A0         ; |664| 
||         MVKL    .S2     RL152,B3          ; |664| 

           STW     .D2T1   A0,*+SP(4)        ; |664| 
||         MVKH    .S2     RL152,B3          ; |664| 

RL152:     ; CALL OCCURS                     ; |664| 
	.line	4
           LDW     .D2T2   *++SP(16),B3      ; |665| 
           NOP             4
           B       .S2     B3                ; |665| 
           NOP             5
           ; BRANCH OCCURS                   ; |665| 
	.endfunc	665,000080000h,16


;******************************************************************************
;* MARK THE END OF THE SCALAR INIT RECORD IN CINIT:C                          *
;******************************************************************************
CIR:	.sect	".cinit:c"
;******************************************************************************
;* STRINGS                                                                    *
;******************************************************************************
	.sect	".const"
SL1:	.string	"manuf_code = %08x",10,0
SL2:	.string	"dev_code   = %08x",10,0
SL3:	.string	"Unknown manufacturer codes.",10,0
SL4:	.string	"Both parts are ST.",10,0
SL5:	.string	"Unknown ST devices.",10,0
SL6:	.string	"Both parts are M29W800T - Top Boot Block.",10,0
SL7:	.string	"Both parts are M29W800B - Bottom Boot Block.",10,0
SL8:	.string	"Both parts are Fujitsu.",10,0
SL9:	.string	"Unknown Fujitsu devices.",10,0
SL10:	.string	"Both parts are MBM29LV800TA - Top Boot Block.",10,0
SL11:	.string	"Both parts are MBM29LV800BA - Bottom Boot Block.",10,0
SL12:	.string	"Both parts are AMD.",10,0
SL13:	.string	"Unknown AMD devices.",10,0
SL14:	.string	"Both parts are Am29LV800BT - Top Boot Block.",10,0
SL15:	.string	"Both parts are Am29LV800BA - Bottom Boot Block.",10,0
SL16:	.string	"Erased sector %08x",10,0
SL17:	.string	"Couldn't allocate memory for boot_array",10,0
SL18:	.string	"Enter boot loader COFF filename:",10,0
SL19:	.string	"error",10,0
SL20:	.string	"rb",0
SL21:	.string	"Can't open file %s ",0
SL22:	.string	"Enter application COFF filename:",10,0
SL23:	.string	"Entry point for application is 0x%08x.",10,0
SL24:	.string	"Programming flash (0-0x%08x).",10,0
SL25:	.string	"programming at 0x%08x",10,0
SL26:	.string	"Finished",10,0
SL27:	.string	"%-8s: size %5d, address 0x%08x, flash at 0x%08x",10,0
SL28:	.string	"WARNING: cannot program this section: program too large. [%"
	.string	"x:%x]",10,0
SL29:	.string	"%-8s: size %5d, address 0x%08x",10,0
SL30:	.string	"WARNING: cannot store in flash memory!",10,0
SL31:	.string	"SETRELOC",10,0
SL32:	.string	"LOOKUPSYM %d %x %x",10,0
SL33:	.string	"LOADSYMS %d",10,0
SL34:	.string	"LOADMSG",10,0
;******************************************************************************
;* UNDEFINED EXTERNAL REFERENCES                                              *
;******************************************************************************
	.global	_fclose
	.global	_fopen
	.global	_printf
	.global	_getc
	.global	_gets
	.global	_malloc
	.global	_realloc
	.global	_exit
	.global	_cload
	.global	_secname
	.global	_entry_point
	.global	_fin
