-c
-heap  0x210000         /* >2Mbytes of HEAP  */
-stack 0x008000         /* 16Kbytes of STACK */

MEMORY
{                               /* These are bytes */
    VECS:    o = 00000000h       l = 00000400h /* Reset & interrupt vectors     */
    PMEM:    o = 00001000h       l = 0004EFFFh /* Internal Program Memory       */
    SDRAM1:  o = 03000000h       l = 01000000h /* 16Mbytes SDRAM           */
    SDRAM:   o = 02000000h       l = 01000000h /* 16Mbytes SDRAM     */
    BMEM:    o = 80000000h       l = 00080000h /* Internal Data Memory          */
}

SECTIONS
{
    .vectors:   >       SDRAM1
    .text:      >       SDRAM1

    .cinit:     >       BMEM
    .const:     >       BMEM
    .tables:    >       BMEM
    .data:      >       BMEM
    .stack:     >       BMEM
    .bss:       >       BMEM
    .sysmem:    >       SDRAM
    .cio:       >       BMEM
    .far:       >       BMEM
    .memtab:    >       BMEM
}
