
#include <std.h>

extern cregister volatile unsigned int CSR;

unsigned int setcache(int pcc)
{
   unsigned int value;

   value  = CSR;
   value &= 0xffffff1f;		/* zero bits  7/6/5           */
   value |= (pcc<<5);
   CSR    = value;

   return CSR;
}

unsigned int cache_bypass(void)
{
   return setcache(0x4);
}

unsigned int cache_enable(void)
{
   return setcache(0x2);
}

unsigned int cache_freeze(void)
{
   return setcache(0x3);
}

unsigned int cache_mapped(void)
{
   return setcache(0);
}

main()
{
   cache_mapped();
   printf("Cache has been switched off.\n");   
}

