-c
-heap  0x100         /* 8Mbytes of HEAP */
-stack 0x100         /* 16Kbytes of STACK */

MEMORY
{                               /* These are bytes */
    VECS:    o = 00000000h       l = 00000400h /* Reset & interrupt vectors     */
    PMEM:    o = 00001000h       l = 0000F000h /* Internal Program Memory       */
    SBSRAM:  o = 03000000h       l = 00040000h /* 256Kbytes SBSRAM                      */
    SDRAM:   o = 02000000h       l = 00FFFC00h /* 16Mbytes - 1Kbytes of SDRAM   */
    BMEM:    o = 80000000h       l = 00010000h /* Internal Data Memory          */
}

SECTIONS
{
    .vectors:   >       VECS
    .text:      >       PMEM

    .cinit:     >       BMEM
    .const:     >       BMEM
    .tables:    >       BMEM
    .data:      >       BMEM
    .stack:     >       BMEM
    .bss:       >       BMEM
    .sysmem:    >       BMEM
    .cio:       >       BMEM
    .far:       >       BMEM
    .memtab:    >       BMEM
}
